Installazione

Esempi Vedere anche Cronologia Strumenti
Installazione

Questo capitolo contiene informazioni sugli argomenti seguenti:
  • Avvertenze sull'installazione
  • Installazioni parallele
  • Licenze
  • Requisiti di sistema per l'installazione
  • Protocollo di installazione
  • Avvio dell'installazione
  • Visualizzazione dei software installati
  • Modifica o aggiornamento dei prodotti installati
  • Riparazione dei prodotti installati
  • Avvio della disinstallazione
  • Installazione di aggiornamenti e Support Package
  • Installazione automatizzata dei Support Package
  • Installazione e disinstallazione del tool di migrazione
  • Installazione e disinstallazione del server di progetto TIA


Avvertenze sull'installazione

Contenuto installazione in un ambiente virtuale (Private Cloud) Installazione automatica Utilizzo delle stesse versioni per i prodotti del TIA Portal durante l'installazione Directory di destinazione dell'installazione Impostazioni di sicurezza durante l'installazione di WinCC Utilizzo di antivirus Compatibilità con V12 SP1 e V13 FAQ sul TIA Portal
Avvertenze sull'installazione

Contenuto

Indicazioni non più comprese nella Guida in linea e avvertenze importanti sulle proprietà del prodotto.

installazione in un ambiente virtuale (Private Cloud)

Le istruzioni per l’installazione del TIA Portal in un ambiente virtuale (Private Cloud) sono disponibili sul supporto dati di installazione nella directory “Documents\Readme\<directory lingua>”. Aprire il documento PDF “TIAPortalCloudConnectorHowTo<ID lingua>.pdf".

Installazione automatica

La descrizione della procedura di installazione automatica si trova sul DVD del prodotto nella directory "Documents\Readme\<Cartella delle lingue>".

Utilizzo delle stesse versioni per i prodotti del TIA Portal durante l'installazione

Se si installano prodotti diversi del TIA Portal, durante l'installazione si devono utilizzare le stesse versioni dei Service Pack e degli aggiornamenti. Ad es. se si installa l'SP1 per STEP 7 V13 si deve installare l'SP1 anche per WinCC V13. L'installazione dei Service Pack e degli aggiornamenti deve essere effettuata nello stesso momento per tutti i prodotti. Non avviare il TIA Portal prima di aver aggiornato tutti i prodotti.

I Service Pack possono essere scaricati in Internet alla pagina Siemens Industry Online Support.

Directory di destinazione dell'installazione

Non utilizzare caratteri UNICODE (ad es. caratteri cinesi) nel percorso di installazione.

Dopo l'installazione di uno dei prodotto del TIA Portal, il percorso di installazione non può più essere modificato.

Impostazioni di sicurezza durante l'installazione di WinCC

Quando si installa WinCC, nel sistema operativo vengono modificate alcune impostazioni di sicurezza. Le impostazioni di sicurezza vengono elencate durante l'installazione.

Le modifiche delle impostazioni di sicurezza devono essere confermate.

Se si modifica il sistema operativo dopo l'installazione, le modifiche delle impostazioni di sicurezza dovute all'installazione di TIA Portal potrebbero essere modificate.

Le modifiche delle impostazioni di sicurezza dovute all'installazione di TIA Portal possono essere ripristinate come indicato nel seguito:
"Start > Tutti i programmi > Siemens Automation > Security Controller > Ripristina impostazioni".

Utilizzo di antivirus

Durante l'installazione è necessario che l'accesso ai file già installati possa avvenire in lettura e in scrittura. Alcuni antivirus impediscono quest'operazione. Configurare quindi il programma antivirus in modo che durante l’installazione di TIA Portal sia possibile accedere ai file.

Compatibilità con V12 SP1 e V13

Nella directory di installazione in ..\<INSTALLDIR>\SampleProjects vengono installati dei progetti vuoti nelle versioni precedenti per consentire di aprire il TIA Portal attuale nel modo di compatibilità. Questi progetti devono essere copiati in una directory locale con accesso completo prima di poter essere utilizzati. Per informazioni più dettagliate vedere il FAQ ID 82169157.

FAQ sul TIA Portal

Le FAQ concernenti il TIA Portal si trovano in Internet alla voce FAQ..


Installazioni parallele

Installazione parallela di WinCC V16 e altri prodotti SIMATIC HMI Utilizzo parallelo
Installazioni parallele

Installazione parallela di WinCC V16 e altri prodotti SIMATIC HMI

Non è consentito installare in parallelo WinCC V16 con versioni di WinCC flexible precedenti a WinCC flexible 2008 SP5.

Non è consentito installare in parallelo WinCC V16 Comfort/Advanced con versioni di WinCC precedenti a WinCC V7.3.

L'installazione parallela di WinCC V16 con WinCC V7.3, WinCC V7.4 o WinCC V7.5 non è consentita per:

  • WinCC V16 Professional

  • WinCC V16 Runtime Professional

Utilizzo parallelo

Il supplemento "Combo" eventualmente presente dopo l'installazione nel nome del software o della chiave di licenza, consente, ai sensi del paragrafo 4.3 delle Condizioni Generali (vedere anche il testo del setup), l'utilizzo dei seguenti prodotti/delle seguenti versioni:

  • Con la licenza "STEP 7 Professional Combo": versioni precedenti di STEP 7 (STEP 7 Professional 2006 - STEP 7 Professional V16)

  • Con la licenza "WinCC V16 Comfort Combo": WinCC flexible 2008 Standard

  • Con la licenza "WinCC V16 Advanced Combo": WinCC flexible 2008 Advanced


Licenze

Licenze

Questo capitolo contiene informazioni sugli argomenti seguenti:
  • Avvertenze sulle licenze
  • Licenza di STEP 7 e WinCC
  • Utilizzo di licenze e chiavi di licenza
  • Licenze per pannelli operatore
  • Licenze per WinCC Runtime su pannelli operatore basati su PC
  • Licenze per WinCC Runtime Professional nelle lingue asiatiche
  • STEP 7 senza licenza per PC CP


Avvertenze sulle licenze

Distribuzione delle licenze Approntamento di Automation License Manager Utilizzo di Automation License Manager
Avvertenze sui requisiti di sistema Avvio dell'installazione Visualizzazione dei software installati Modifica o aggiornamento dei prodotti installati Riparazione dei prodotti installati Avvio della disinstallazione Protocollo di installazione
Avvertenze sulle licenze

Distribuzione delle licenze

Le licenze dei prodotti del TIA Portal vengono normalmente fornite sul supporto dati di installazione e si installano automaticamente da Automation License Manager durante il processo di installazione.

Prima di disinstallare TIA Portal è necessario trasferire e salvare le licenze ancora necessarie. Utilizzare Automation License Manager.

Approntamento di Automation License Manager

L'Automation License Manager in dotazione si trova sul supporto dati di installazione e viene trasferito automaticamente durante il processo di installazione.

Disinstallando il TIA Portal Automation License Manager non viene rimosso dal sistema.

Utilizzo di Automation License Manager

L'Automation License Manager è un prodotto di Siemens AG e viene utilizzato per la gestione delle chiavi di licenza (gli equivalenti tecnici delle licenze).

I prodotti software per i quali sono necessarie le chiavi di licenza, come ad es. TIA Portal, ne segnalano la necessità automaticamente ad Automation License Manager . Se Automation License Manager rileva una chiave di licenza valida per il software, quest'ultimo può essere utilizzato come previsto dalle condizioni di utilizzo della licenza collegata a questa chiave.

Nota

Per ulteriori informazioni sulla gestione delle licenze con Automation License Manager fare riferimento alla documentazione fornita insieme a Automation License Manager .


Licenza di STEP 7 e WinCC

Introduzione Licenze Validità delle chiavi di licenza di precedenti versioni di STEP 7 Validità delle chiavi di licenza per versioni precedenti di WinCC Validità delle licenze per le opzioni di WinCC Avvio senza chiave di licenza valida Licenze necessarie per la simulazione Licenze per TIA Portal Cloud Connector
Utilizzo di licenze e chiavi di licenza
Licenza di STEP 7 e WinCC

Introduzione

La licenza delle seguenti edizioni di STEP 7 richiede una License Key (chiave di licenza):

  • STEP 7 Basic

  • STEP 7 Professional

È possibile trasferire la License Key per STEP 7 al termine dell'installazione utilizzando Automation License Manager.

In WinCC è necessaria una License Keyper:

  • WinCC Engineering System

  • WinCC Runtime

  • Opzioni per WinCC Engineering System

  • Opzioni per WinCC Runtime System

Il trasferimento delle licenze per WinCC e le opzioni WinCC avviene con Automation License Manager al termine dell'installazione.

Nota

Il licenziatario conferma, inoltre, che il software (SW) contiene software concesso in licenza da Microsoft Corporation o da filiali. Il licenziatario conferma di aderire ed adempiere alle condizioni del contratto di licenza allegato tra Microsoft SQL Server e l'acquirente finale.

Licenze

Sono disponibili le seguenti licenze con le License Keys corrispondenti:

  • STEP 7 Basic

  • STEP 7 Professional

  • STEP 7 Professional Combo

  • WinCC Basic

  • WinCC Comfort

  • WinCC Comfort Combo

  • WinCC Advanced

  • WinCC Advanced Combo

  • WinCC Professional

  • WinCC Professional Combo

  • WinCC Unified Comfort Engineering

  • WinCC Unified PC Engineering

  • WinCC RT Advanced

  • WinCC RT Professional

  • WinCC Unified PC

Validità delle chiavi di licenza di precedenti versioni di STEP 7

Una License Key valida per le versioni V15.x di STEP 7 Professional e STEP 7 Professional Combo consente anche l'utilizzo illimitato di versioni precedenti di STEP 7. Per informazioni dettagliate consultare la tabella seguente:

Versione

Licenza

Valida per

STEP 7 Basic V16.x

STEP 7 Basic

  • STEP 7 Basic V16.x

  • STEP 7 Basic V15.x

  • STEP 7 Basic V14.x

  • STEP 7 Basic V13.x

  • STEP 7 Basic V12.x

  • STEP 7 Basic V11.x

  • STEP 7 Basic V10.5

STEP 7 Professional V16.x

STEP 7 Professional

  • STEP 7 Professional V16.x

  • STEP 7 Professional V15.x

  • STEP 7 Professional V14.x

  • STEP 7 Professional V13.x

  • STEP 7 Professional V12.x

  • STEP 7 Professional V11.x

  • STEP 7 Basic V14.x

  • STEP 7 Basic V13.x

  • STEP 7 Basic V12.x

  • STEP 7 Basic V11.x

  • STEP 7 Basic V10.5

STEP 7 Professional V16.x

STEP 7 Professional Combo

  • STEP 7 Professional V16.x

  • STEP 7 Professional V15.x

  • STEP 7 Professional V14.x

  • STEP 7 Professional V13.x

  • STEP 7 Professional V12.x

  • STEP 7 Professional V11.x

  • STEP 7 Basic V14.x

  • STEP 7 Basic V13.x

  • STEP 7 Basic V12.x

  • STEP 7 Basic V11.x

  • STEP 7 Basic V10.5

  • STEP 7 V5.6

  • STEP 7 V5.5

  • STEP 7 V5.4

  • STEP 7 Professional 2017

  • STEP 7 Professional 2010

  • STEP 7 Professional 2006

Validità delle chiavi di licenza per versioni precedenti di WinCC

Con una License Key valida per WinCC V16.x possono essere utilizzate anche versioni precedenti di WinCC senza alcuna limitazione.

Per informazioni dettagliate consultare la seguente tabella:

WinCC Engineering System

Versione

Licenza

Valida per

WinCC Basic V16.x

WinCC Basic

  • WinCC Basic V11.x

  • WinCC Basic V12.x

  • WinCC Basic V13.x

  • WinCC Basic V14.x

  • WinCC Basic V15.x

  • WinCC Basic V16.x

WinCC Comfort/Advanced V16.x

WinCC Comfort

  • WInCC Basic V11.x

  • WinCC Comfort V10.x

  • WinCC Comfort V11.x

  • WinCC Basic, Comfort V12.x

  • WinCC Basic, Comfort V13.x

  • WinCC Basic, Comfort V14.x

  • WinCC Basic, Comfort V15.x

  • WinCC Basic, Comfort V16.x

WinCC Comfort Combo

  • WinCC flexible Compact, Standard >= 2005

  • WInCC Basic V11.x

  • WinCC Comfort V10.x

  • WinCC Comfort V11.x

  • WinCC Basic, Comfort V12.x

  • WinCC Basic, Comfort V13.x

  • WinCC Basic, Comfort V14.x

  • WinCC Basic, Comfort V15.x

  • WinCC Basic, Comfort V16.x

WinCC Advanced

  • WInCC Basic V11.x

  • WinCC Comfort, Advanced V10.x

  • WinCC Comfort, Advanced V11.x

  • WinCC Basic, Comfort, Advanced V12.x

  • WinCC Basic, Comfort, Advanced V13.x

  • WinCC Basic, Comfort, Advanced V14.x

  • WinCC Basic, Comfort, Advanced V15.x

  • WinCC Basic, Comfort, Advanced V16.x

  • WinCC Unified Comfort V16.x

  • WinCC Unified PC V16.x

WinCC Advanced Combo

  • WinCC flexible Compact, Standard, Advanced >= 2005

  • WInCC Basic V11.x

  • WinCC Comfort, Advanced V10.x

  • WinCC Comfort, Advanced V11.x

  • WinCC Basic, Comfort, Advanced V12.x

  • WinCC Basic, Comfort, Advanced V13.x

  • WinCC Basic, Comfort, Advanced V14.x

  • WinCC Basic, Comfort, Advanced V15.x

  • WinCC Basic, Comfort, Advanced V16.x

  • WinCC Unified Comfort V16.x

  • WinCC Unified PC V16.x

WinCC Professional V16.x

WinCC Professional (512)

WinCC Professional (4096)

WinCC Professional (max.)

  • WinCC Comfort, Advanced, Professional V10.x

  • WinCC Comfort, Advanced, Professional V11.x

  • WinCC Basic, Comfort, Advanced, Professional V12.x

  • WinCC Basic, Comfort, Advanced, Professional V13.x

  • WinCC Basic, Comfort, Advanced, Professional V14.x

  • WinCC Basic, Comfort, Advanced, Professional V15.x

  • WinCC Basic, Comfort, Advanced, Professional V16.x

  • WinCC Unified Comfort V16.x

  • WinCC Unified PC V16.x

WinCC Professional (512) Combo

WinCC Professional (4096) Combo

WinCC Professional (max.) Combo

  • WinCC flexible Compact, Standard, Advanced >= 2008 SP3

  • WinCC SCADA V7.0 SP3 ES

  • WinCC Comfort, Advanced, Professional V10.x

  • WinCC Comfort, Advanced, Professional V11.x

  • WinCC Basic, Comfort, Advanced, Professional V12.x

  • WinCC Basic, Comfort, Advanced, Professional V13.x

  • WinCC Basic, Comfort, Advanced, Professional V14.x

  • WinCC Basic, Comfort, Advanced, Professional V15.x

  • WinCC Basic, Comfort, Advanced, Professional V16.x

  • WinCC Unified Comfort V16.x

  • WinCC Unified PC V16.x

WinCC Unified Comfort V16.x

WinCC Unified Comfort ES

  • WInCC Basic V11.x

  • WinCC Comfort V10.x

  • WinCC Comfort V11.x

  • WinCC Basic, Comfort V12.x

  • WinCC Basic, Comfort V13.x

  • WinCC Basic, Comfort V14.x

  • WinCC Basic, Comfort V15.x

  • WinCC Basic, Comfort V16.x

  • WinCC Unified Comfort V16.x

WinCC Unified PC V16.x

WinCC Unified PC (10k) ES

  • WinCC Basic V11.x

  • WinCC Comfort, Advanced V10.x

  • WinCC Comfort, Advanced V11.x

  • WinCC Basic, Comfort, Advanced V12.x

  • WinCC Basic, Comfort, Advanced V13.x

  • WinCC Basic, Comfort, Advanced V14.x

  • WinCC Basic, Comfort, Advanced V15.x

  • WinCC Basic, Comfort, Advanced V16.x

  • WinCC Unified PC V16.x

WinCC Unified PC (100k) ES

WinCC Unified PC (max.) ES

  • WinCC Comfort, Advanced, Professional V10.x

  • WinCC Comfort, Advanced, Professional V11.x

  • WinCC Basic, Comfort, Advanced, Professional V12.x

  • WinCC Basic, Comfort, Advanced, Professional V13.x

  • WinCC Basic, Comfort, Advanced, Professional V14.x

  • WinCC Basic, Comfort, Advanced, Professional V15.x

  • WinCC Basic, Comfort, Advanced, Professional V16.x

  • WinCC Unified PC V16.x

WinCC Runtime

Versione

Licenza

Valida per

WinCC RT Advanced V16.x

WinCC RT Advanced (128)

WinCC RT Advanced (512)

WinCC RT Advanced (2048)

WinCC RT Advanced (4096)

WinCC RT Advanced (8192)

WinCC RT Advanced (16384)

  • WinCC RT Advanced V11.x

  • WinCC RT Advanced V12.x

  • WinCC RT Advanced V13.x

  • WinCC RT Advanced V14.x

  • WinCC RT Advanced V15.x

  • WinCC RT Advanced V16.x

WinCC RT Professional V16.x

WinCC RT Professional (128)

WinCC RT Professional (512)

WinCC RT Professional (2048)

WinCC RT Professional (4096)

WinCC RT Professional (8192)

WinCC RT Professional (65536)

WinCC RT Professional (102400)

WinCC RT Professional (153600)

WinCC RT Professional (262144)

  • WinCC RT Professional V11.x

  • WinCC RT Professional V12.x

  • WinCC RT Professional V13.x

  • WinCC RT Professional V14.x

  • WinCC RT Professional V15.x

  • WinCC RT Professional V16.x

WinCC Unified PC V16.x

WinCC Unified PC (150) RT

WinCC Unified PC (500) RT

WinCC Unified PC (1k) RT

WinCC Unified PC (2,5k) RT

WinCC Unified PC (5k) RT

WinCC Unified PC (10k) RT

WinCC Unified PC (50k) RT

WinCC Unified PC (100k) RT

WinCC Unified PC (max.) RT

  • WinCC Unified PC V16.x

Validità delle licenze per le opzioni di WinCC

Le opzioni WinCC dispongono in genere di License Keys che non dipendono dalla versione. Le opzioni di WinCC V16.x si possono utilizzare con le License Keys delle versioni V11, V12, V13, V14 e V15 e viceversa.

Avvio senza chiave di licenza valida

Se si avvia il TIA Portal senza una License Key valida, il sistema segnala con un messaggio la modalità in uso senza licenza. È possibile attivare, una volta sola, una Trial License. Questa licenza di prova ha tuttavia una validità limitata a 21 giorni.

Scaduta la Trial License possono presentarsi i seguenti casi:

  • Sul PC non era mai stata assegnata la licenza al TIA Portal:

    • Non è più possibile eseguire operazioni con obbligo di licenza nel TIA Portal.

  • Sul PC era già stata assegnata la licenza al TIA Portal:

    • La modalità senza licenza viene segnalata ogni 10 minuti e a ogni operazione con obbligo di licenza in una finestra di dialogo che va confermata.

Licenze necessarie per la simulazione

Se la simulazione in STEP 7 viene avviata dal comando di menu "Online > Simulazione" non sono richieste ulteriori licenze.

Alle seguenti condizioni le licenze delle versioni installate di STEP 7 sono necessarie anche in caso di simulazione:

  • Se la stazione di engineering è collegata con un PLC.

  • Se il collegamento con il PLC è stato progettato ed è attivo.

Se si avvia la simulazione in WinCC con il comando di menu "Online > Simula runtime > Con simulatore variabili" non sono necessarie licenze per WinCC Runtime o per le opzioni con obbligo di licenza.

Alle seguenti condizioni sono necessarie le rispettive licenze per WinCC Runtime e per le opzioni con obbligo di licenza anche in caso di simulazione:

  • Se la stazione di engineering è collegata con un PLC.

  • Se il collegamento con il PLC è stato progettato ed è attivo.

  • Se il simulatore viene avviato con il comando di menu "Online > Simula runtime > Start".

Licenze per TIA Portal Cloud Connector

Per utilizzare TIA Portal Cloud Connector è necessaria una License Key valida su ogni dispositivo che in TIA Portal Cloud Connector viene definito come “dispositivo utente”. La License Key è necessaria anche se su questo dispositivo è installato TIA Portal. Per i dispositivi utilizzati come “dispositivi remoti” non è necessaria una License Key.


Utilizzo di licenze e chiavi di licenza

Introduzione Licenza Trial Installazione di chiavi di licenza per STEP 7 Installazione di chiavi di licenza per WinCC Trasferimento di chiavi di licenza sui pannelli operatore Disinstallazione di chiavi di licenza Modifica dei supporti dati del sistema di engineering Backup dei dati sui pannelli operatore (Backup/Restore) Licenza non valida in caso di modifica del fuso orario Licenza danneggiata Microsoft SQL Server
Licenza di STEP 7 e WinCC
Utilizzo di licenze e chiavi di licenza

Introduzione

L'utilizzo di STEP 7 Basic, STEP 7 Professional e WinCC Engineering System, nonché di opzioni per WinCC Engineering System e WinCC Runtime richiede di volta in volta una License Key specifica.

Attenzione

Danneggiamento delle chiavi di°licenza dovuto a copia

La License Key non può essere copiata. Una speciale protezione ne impedisce infatti la copia delle License Keys. Il tentativo di copiare una License Key ne comporta la distruzione!

Licenza Trial

Se si avvia il TIA Portal senza una License Key valida, il sistema segnala con un messaggio la modalità in uso senza licenza. È possibile attivare, una volta sola, una Trial License. La licenza trial ha una validità di 21 giorni.

Scaduta la Trial License, possono verificarsi i seguenti casi:

  • Sul PC non era ancora stata assegnata la licenza al TIA Portal.

    Non è più possibile avviare il TIA Portal.

  • Sul PC era già stata assegnata la licenza al TIA Portal.

    È possibile avviare il TIA Portal. La modalità senza licenza viene segnalata ogni 10 minuti con una maschera con obbligo di conferma.

Installazione di chiavi di licenza per STEP 7

Con l'installazione di STEP 7 Basic il setup installa automaticamente anche la License Key. Con l'installazione di STEP 7 Professional, al termine del setup viene richiesto di trasferire la licenza dal supporto di memoria in dotazione al PC con l'aiuto di Automation License Manager.

Per installare ulteriori License Keys utilizzare Automation License Manager.

Al momento dell'installazione di una licenza, la License Key corrispondente viene rimossa dal supporto di memoria delle License Keys.

Nota

Al termine dell'installazione, conservare comunque il percorso di archiviazione originale delle License Keys.

Installazione di chiavi di licenza per WinCC

Con l'installazione di WinCC Basic il setup installa automaticamente anche la License Key. Con l'installazione di WinCC Professional, al termine del setup viene richiesto di trasferire la licenza dal supporto di memoria in dotazione al PC con l'aiuto di Automation License Manager.

Per l'utilizzo di WinCC Runtime o della simulazione su Engineering-PC selezionando il comando di menu "Online > Avvia simulazione", sono richieste ulteriori License Keys. Per questo scopo utilizzare Automation License Manager.

Al momento dell'installazione di una licenza, la License Key corrispondente viene rimossa dal supporto di memoria delle License Keys.

Nota

Al termine dell'installazione, conservare comunque il percorso di archiviazione originale delle License Keys.

Trasferimento di chiavi di licenza sui pannelli operatore

Per il funzionamento di WinCC trasferire le License Keys nel pannello operatore.

Nei seguenti casi la License Key deve essere trasferita sul pannello operatore:

  • Per l'utilizzo di WinCC Runtime

  • Per l'utilizzo delle opzioni di WinCC Runtime

Quando si trasferisce una licenza su un pannello operatore la License Key corrispondente viene rimossa dal percorso di archiviazione delle License Keys.

Se la licenza non viene più utilizzata o si intende effettuare il backup dei dati, è necessario trasferire le License Keys dal pannello operatore. La licenza potrà essere utilizzata su un altro PC o pannello operatore.

Disinstallazione di chiavi di licenza

La disinstallazione delle License Keys avviene sempre con Automation License Manager. È necessario disinstallare una License Key nei casi seguenti:

  • Al momento del backup dei dati.

  • Quando la licenza non è più necessaria.

La licenza valida potrà essere utilizzata anche su un altro PC.

Modifica dei supporti dati del sistema di engineering

Modifiche al supporto dati del sistema di engineering possono comportare la distruzione della License Key. Prima di apportare modifiche richiamare Automation License Manager ed eseguire in un altro percorso di archiviazione il backup della License Key da installare.

Attenzione

Distruzione delle chiavi di licenza sui PC

Disinstallare per prime tutte le License Keys al verificarsi di uno dei seguenti casi:

  • Formattazione del disco rigido

  • Compressione del disco rigido

  • Ripristino del disco rigido

  • Avvio di un programma di ottimizzazione che sposta blocchi fissi.

  • Installazione di un nuovo sistema operativo

Leggere la descrizione di Automation License Manager ("Start > Siemens Automation > Documentazione"). Osservare tutte le avvertenze e le informazioni.

Backup dei dati sui pannelli operatore (Backup/Restore)

Per creare una copia di backup dei dati sul pannello operatore, disinstallare le License Keys dal pannello stesso. Richiamare Automation License Manager ed eseguire in un altro percorso di archiviazione il backup della License Key da installare.

Attenzione

Distruzione delle chiavi di licenza su pannelli operatore non basati su PC

Nei seguenti pannelli operatore le procedure di backup/restore danneggiano irreversibilmente le chiavi di licenza trasferite:

  • Serie 270

  • Serie 370

Prima di avviare il restore eseguire le seguenti operazioni:

  • Verificare con Automation License Manager e ProSave, se sul pannello operatore siano o meno presenti License Keys.

  • Trasferire dal pannello operatore le License Keys presenti.

    Dopo il ripristino ritrasferire le License Keys nel pannello operatore.

Licenza non valida in caso di modifica del fuso orario

Le licenze installate smettono di funzionare quando il fuso orario su un PC viene modificato nel modo seguente: Da un fuso orario riferito all'ora intera a un fuso orario riferito all'ora frazionata.

Per evitare questo comportamento, disinstallare la License Key in Automation License Manager con l'impostazione dei fusi orari impostata al momento dell'installazione delle License Keys.

Esempio: Si desidera impiegare il pannello operatore dal fuso orario "GMT +3:00" al fuso orario "GMT +3:30".

  1. Disinstallare la License Key con l'impostazione del fuso orario "GMT +3:00".

  2. Modificare le impostazioni dei fusi orari sul proprio PC.

  3. Installare la "License Key".

Questa procedura non riguarda la Trial License.

Licenza danneggiata

Una licenza è danneggiata nei casi seguenti:

  • Se la License Key non è più accessibile sul supporto di memoria.

  • Se la License Key scompare durante il trasferimento sul drive di destinazione.

Nota

Se la data di sistema viene impostata su una data/ora precedenti, le licenze si danneggiano.

La licenza danneggiata può essere riparata con l'ausilio di Automation License Manager. Utilizzare le funzioni "Ripristina" o "Assistente per il ripristino" dell'Automation License Manager. Per il ripristino rivolgersi al Customer Support. Per maggiori informazioni consultare il sito Internet: http://support.automation.siemens.com

Nota

Il corretto funzionamento del runtime è garantito anche in assenza della licenza o in caso di licenza danneggiata. Il sistema avvisa, a distanza di brevi intervalli, che la modalità in uso è senza licenza.

Microsoft SQL Server

L'uso della banca dati Microsoft SQL Server è soggetto a licenza. Questa licenza è già disponibile in caso di installazione di WinCC in conformità alle clausole previste dalla licenza.

Il server SQL licenziato che esegue l'installazione di WinCC si può usare solo con WinCC.

L'impiego per altri scopi richiede una licenza addizionale come ad esempio:

  • Impiego per banche dati proprie

  • Impiego per applicazioni di terzi

  • Impiego di meccanismi di accesso SQL che non vengono messi a disposizione da WinCC

Disinstallazione

Dopo la disinstallazione di WinCC è necessario disinstallare l’istanza server SQL "WinCC". Per disinstallare il programma selezionare la voce "Microsoft SQL Server 20.." in "Pannello di controllo > Software".


Licenze per pannelli operatore

Chiave di licenza Avvertenze sulla gestione delle licenze Modalità senza licenza
Licenze per pannelli operatore

I pannelli operatore non basati su PC sono dotati di licenze di Runtime. Il funzionamento in runtime non richiede una License Key.

Le opzioni per pannelli operatore non basati su PC possono richiede una licenza. La License Key di ogni licenza specifica abilita l'uso di una opzione per volta.

Chiave di licenza

Per dotare di License Keys i pannelli operatore non basati su PC è necessario l'addon "SIMATIC HMI License Manager Panel Plugin".

WinCC Setup installa questo addon per default. License Manager Panel Plugin si apre in Automation License Manager con il comando di menu "Modifica > Collega sistema di destinazione > Collega pannello operatore".

Se WinCC non è installato è necessario installare ProSave 7.2 o una versione superiore.

Avvertenze sulla gestione delle licenze

  • Per ulteriori informazioni sulla gestione delle licenze consultare la Guida di Automation License Manager.

  • Prima di iniziare l'assegnazione delle licenze assicurarsi sempre che il pannello operatore disponga almeno della versione più aggiornata del sistema operativo. Se necessario aggiornare il sistema operativo con ProSave.

  • Il licenziatario conferma, inoltre, che il software (SW) contiene software concesso in licenza da Microsoft Corporation o da filiali. Il licenziatario conferma di aderire ed adempiere alle condizioni del contratto di licenza allegato tra Microsoft SQL Server e l'acquirente finale.

Modalità senza licenza

Le opzioni di Runtime possono essere utilizzate provvisoriamente senza licenza valida e senza limitazione della funzionalità. La modalità senza licenza viene segnalata ogni 10 minuti attraverso una maschera con obbligo di conferma.


Licenze per WinCC Runtime su pannelli operatore basati su PC

Chiave di licenza Avvertenze sulla gestione delle licenze Modalità senza licenza
Licenze per WinCC Runtime su pannelli operatore basati su PC

Chiave di licenza

Nei pannelli operatore basati su PC è necessaria una chiave di licenza per:

  • WinCC Runtime, ad es. con 128 variabili

  • Opzioni WinCC

È possibile trasferire la chiave di licenza per WinCC Runtime direttamente durante l'installazione di WinCC. Le licenze per le opzioni WinCC si trasferiscono con Automation License Manager al termine dell'installazione.

Nota

Solo il Certificate of License per WinCC Runtime V15.1 autorizza l'utilizzo di WinCC Runtime V15.1.

L'autorizzazione all'uso di WinCC Runtime richiede la nuova licenza.

Le licenze di Runtime per WinCC flexible 2008 e WinCC V7 si possono aggiornare con un upgrade a WinCC Runtime V15.1.

Il funzionamento produttivo del software è ammesso solo con un Certificate of License valido e conforme alla versione in esso indicata.

Avvertenze sulla gestione delle licenze

  • Se si effettua l'aggiornamento alla versione V15, sono necessarie nuove licenze per WinCC Runtime Professional.

  • Il licenziatario conferma, inoltre, che il software (SW) contiene software concesso in licenza da Microsoft Corporation o da filiali. Il licenziatario conferma di aderire ed adempiere alle condizioni del contratto di licenza allegato tra Microsoft SQL Server e l'acquirente finale.

Modalità senza licenza

WinCC Runtime e le opzioni di runtime si possono utilizzare illimitatamente senza licenza. La modalità senza licenza viene segnalata ogni 10 minuti attraverso una maschera con obbligo di conferma.


Licenze per WinCC Runtime Professional nelle lingue asiatiche

Premessa Impiego del dongle per un Runtime Professional in una lingua asiatica Simulazione di un progetto WinCC in una lingua asiatica
Licenze per WinCC Runtime Professional nelle lingue asiatiche

Premessa

Se si utilizza WinCC Runtime Professional in una lingua asiatica, per verificare la validità della licenza necessaria viene impiegato anche un dongle. Il dongle viene fornito in dotazione come chiavetta USB certificata insieme alla chiave di licenza per WinCC Runtime Professional nelle lingue asiatiche. La chiave di licenza è salvata sulla chiavetta USB certificata.

Sono protette da un dongle le seguenti lingue asiatiche:

  • Cinese (semplificato)

  • Cinese (classico)

  • Giapponese

  • Coreano

Impiego del dongle per un Runtime Professional in una lingua asiatica

Per assegnare correttamente una licenza a un progetto WinCC in una lingua asiatica trasferire la chiave di licenza dalla chiavetta USB certificata al pannello operatore utilizzando "Automation License Manager". Inserire la chiavetta USB nella presa USB del pannello operatore. La chiavetta USB funge da dongle durante il runtime. In runtime il dongle deve sempre restare inserito nella presa USB.

Se si rimuove il dongle WinCC Runtime entra in modalità demo.

Le chiavette USB fornite per i mercati asiatici sono certificate per l'uso prolungato negli impianti di produzione. Pertanto il contenuto non può essere copiato o trasferito su un altro supporto dati USB. In caso di smarrimento o danneggiamento di una chiavetta USB certificata è necessario sostituirla con una nuova, anch'essa certificata.

Simulazione di un progetto WinCC in una lingua asiatica

Anche per la simulazione è necessario utilizzare una chiavetta USB certificata come dongle. In mancanza di dongle la simulazione viene eseguita in modalità demo.


STEP 7 senza licenza per PC CP

Funzioni di STEP 7 per PC-CP Sistema di informazione Aggiornamento all'insieme di funzioni di STEP 7 Professional
STEP 7 senza licenza per PC CP

Funzioni di STEP 7 per PC-CP

STEP 7 per PC-CP è una versione completa di STEP 7 per la cui installazione non era richiesta alcuna licenza. In questa versione sono disponibili solo opzioni di configurazione e diagnostica per i seguenti componenti:

  • PC-CP e applicazioni (server OPC) per stazioni PC

  • Switch SCALANCE X

  • Router SCALANCE W / SCALANCE M

  • Security Module SCALANCE S

  • PROFINET IO Device e slave PROFIBUS DP

  • IE/PB LINK PN IO, IWLAN/PB LINK PN IO

  • Reader (RFID) e lettori ottici (MV)

Le stazioni SIMATIC e i componenti WinAC sono disponibili soltanto nella vista di rete e topologica (non nella vista dispositivi). Le funzioni di programmazione non sono disponibili.

Sistema di informazione

Il sistema di informazione presente nella versione di STEP 7 per PC-CP descrive la gamma completa delle funzioni di STEP 7. Di conseguenza fare attenzione alle funzioni della configurazione dei gruppi di dispositivi indicati in precedenza.

Aggiornamento all'insieme di funzioni di STEP 7 Professional

Installando STEP 7 per PC-CP la gamma completa della funzioni di STEP 7 è disponibile sulla stazione di engineering ma il suo utilizzo è limitato.

Con un'installazione successiva della licenza è possibile effettuare l'aggiornamento all'intera funzionalità di STEP 7 Professional in qualsiasi momento. Una nuova installazione non è necessaria. I progetti creati precedentemente in STEP 7 per PC-CP possono continuare ad essere utilizzati senza limitazioni una volta installata la licenza.


Requisiti di sistema per l'installazione

Requisiti di sistema per l'installazione

Questo capitolo contiene informazioni sugli argomenti seguenti:
  • Avvertenze sui requisiti di sistema
  • Requisiti software e hardware generali
  • Particolarità specifiche del prodotto


Avvertenze sui requisiti di sistema

Requisiti di sistema per i singoli prodotti Visualizzazione di file PDF Visualizzazione del Welcome Tour Windows 7 e Windows Server 2008 R2: Convalida del certificato non valida Nota per le installazioni in ambiente Windows 7 Windows 10: Set di caratteri
Avvertenze sulle licenze Avvio dell'installazione Visualizzazione dei software installati Modifica o aggiornamento dei prodotti installati Riparazione dei prodotti installati Avvio della disinstallazione
Avvertenze sui requisiti di sistema

Requisiti di sistema per i singoli prodotti

I requisiti di sistema variano in funzione dei prodotti da installare. Osservare pertanto i requisiti di sistema specifici dei prodotti scelti.

In caso di installazione di più prodotti orientarsi al prodotto con i requisiti di sistema più elevati.

Visualizzazione di file PDF

Per leggere i file PDF in dotazione è necessaria una versione di PDF Reader che supporta il formato PDF 1.7, ad es. Adobe (R) Reader Version 9.

Visualizzazione del Welcome Tour

Per avviare il Welcome Tour per il TIA Portal è necessario Adobe (R) Flashplayer a partire dalla versione 9.

Windows 7 e Windows Server 2008 R2: Convalida del certificato non valida

I nuovi certificati utilizzati per la firma non vengono probabilmente convalidati nei sistemi operativi Windows 7 e Windows Server 2008 R2.

Se non esiste la possibilità di aggiornare la memoria di certificati online, la firma dei file di prodotti potrebbe venire visualizzata come non valida. In questo caso aggiornare sui sistemi offline i certificati Root disponibili di Microsoft. A riguardo seguire le istruzioni in FAQ 109748887.

Nota per le installazioni in ambiente Windows 7

TIA Portal è eseguibile solo su sistemi Windows che supportano l'algoritmo sicuro di hash "SHA-2". Il supporto di "SHA-2" in ambiente Windows 7 è possibile solo dopo l'installazione di un aggiornamento di sicurezza (KB 3033929). Assicurarsi che sul sistema siano installati gli aggiornamenti più recenti di Windows.

Windows 10: Set di caratteri

A partire dall'aggiornamento di Windows 10, versione 1809 Windows offre due possibilità di installazione dei set di caratteri: con i diritti di amministratore per ogni utente (comando del menu contestuale "Installa per tutti gli utenti") o in modo personalizzato dall'utente. Per utilizzare in maniera illimitata i set di caratteri in WinCC e caricarli nel pannello operatore occorre eseguire l'installazione sempre con i diritti di amministratore.

Si noti che selezionando il pulsante "Installa" nella vista di un set di caratteri si esegue solo un'installazione personalizzata.


Requisiti software e hardware generali

Requisiti per l'installazione Hardware PC consigliato Piattaforme di virtualizzazione supportate Programmi di sicurezza supportati
Avvertenze sulle licenze Avvio dell'installazione Verifica della disponibilità e installazione di aggiornamenti e support package Visualizzazione dei software installati Modifica o aggiornamento dei prodotti installati Riparazione dei prodotti installati Avvio della disinstallazione
Requisiti software e hardware generali

Requisiti per l'installazione

La seguente tabella mostra i requisiti software e hardware minimi richiesti per l'installazione:

Hardware/Software

Requisiti

Processore

Intel® Core™ i3-6100U, 2.30 GHz

RAM

8 GB

Disco rigido

S-ATA con almeno 20 GB di spazio di memoria disponibile

Rete

Almeno 100 Mbit

Risoluzione dello schermo

1024 x 768

Sistemi operativi *

Windows 7 (64 Bit) ***

  • Windows 7 Home Premium SP1 **

  • Windows 7 Professional SP1

  • Windows 7 Enterprise SP1

  • Windows 7 Ultimate SP1

Windows 10 (64 bit)

  • Windows 10 Home versione 1809 **

  • Windows 10 Home versione 1903 **

  • Windows 10 Professional versione 1809

  • Windows 10 Professional versione 1903

  • Windows 10 Enterprise versione 1809

  • Windows 10 Enterprise versione 1903

  • Windows 10 IoT Enterprise 2015 LTSB

  • Windows 10 IoT Enterprise 2016 LTSB

  • Windows 10 IoT Enterprise 2019 LTSC

Windows Server (64 bit)

  • Windows Server 2012 R2 StdE (installazione completa)

  • Windows Server 2016 Standard (installazione completa)

  • Windows Server 2019 Standard (installazione completa)

* Con tutti gli update Security fino a Microsoft Security Bulletin Summary per agosto 2019 (MS19-Aug). Per ulteriori informazioni sui sistemi operativi consultare la guida a Microsoft Windows o il sito web di Microsoft.

** Soltanto per edizioni di base

*** Non per STEP7 Professional - WinCC Professional

Nota

Scadenza del periodo di supporto esteso per Windows 7

Osservare il termine di scadenza dell'Extended Support di Windows 7. Dopodiché Microsoft non fornisce più aggiornamenti per la sicurezza o il supporto per PC che utilizzano Windows 7. Il software può essere installato comunque.

Determinati prodotti possono supportare altre versioni di Windows. Ulteriori informazioni a riguardo si trovano nei presupporti del sistema specifici per il prodotto oppure controllare la compatibilità con il tool di compatibilità. Il tool di compatibilità si trova in Internet alla voce https://support.industry.siemens.com/kompatool/pages/main/index.jsf?.

Hardware PC consigliato

La tabella seguente mostra i requisiti hardware consigliati:

Hardware/Software | Requisiti
Computer | Da SIMATIC FIELD PG M5 Advanced (o PC analogo)
Processore | Intel® Core™ i5-6440EQ (da a 3.4 GHz)
RAM | 16 GB e oltre (per progetti di grandi dimensioni 32 GB)
Disco rigido | SSD con almeno 50 GB di spazio di memoria disponibile
Rete | 1 Gbit (per multiutente)
Schermo | 15,6" Full HD Display (1920 x 1080 o maggiori)

Piattaforme di virtualizzazione supportate

È possibile installare i pacchetti software "SIMATIC STEP 7" e "SIMATIC WinCC" in un sistema virtuale. Utilizzare pertanto una delle seguenti piattaforme di virtualizzazione nella versione indicata o in una versione più recente:

  • VMware vSphere Hypervisor (ESXi) 6.5 o superiore

  • VMware Workstation 15.0.2 o superiore

  • VMware Player 15.0.2 o superiore

  • Microsoft Hyper-V Server 2016 o superiore

Per queste piattaforme di virtualizzazione si consiglia di utilizzare come sistema host i seguenti sistemi operativi:

Sistema operativo | VMware vSphere Hypervisor (ESXi) | VMware Workstation | VMware Player | Microsoft Hyper-V
Windows Server 2016 Standard (installazione completa) | - | - | - | x
Windows Server 2019 Standard (installazione completa) | - | - | - | x
Windows 7 Professional SP1 | x | x | x | -
Windows 7 Enterprise SP1 | x | x | x | -
Windows 7 Ultimate SP1 | x | x | x | -
Windows 10 Professional versione 1809 e 1903 | x | x | x | -
Windows 10 Enterprise Version 1809 e 1903 | x | x | x | -
Windows 10 (IoT) Enterprise 2015 LTSB | x | x | x | -
Windows 10 (IoT) Enterprise 2016 LTSB | x | x | x | -
Windows 10 (IoT) Enterprise 2019 LTSC | x | x | x | -
x: utilizzabile come sistema operativo host -: non utilizzabile come sistema operativo host

Si consiglia di utilizzare i seguenti sistemi operativi host nella piattaforma di virtualizzazione selezionata:

Sistema operativo | VMware vSphere Hypervisor (ESXi) | VMware Workstation | VMware Player | Microsoft Hyper-V
Windows Server 2012 R2 StdE (installazione completa) | - | - | - | x
Windows Server 2016 Standard (installazione completa) | - | - | - | x
Windows Server 2019 Standard (installazione completa) | - | - | - | x
Windows 7 Professional SP1 | x | x | x | x
Windows 7 Enterprise SP1 | x | x | x | x
Windows 7 Ultimate SP1 | x | x | x | x
Windows 10 Professional versione 1809 e 1903 | x | x | x | x
Windows 10 Enterprise Version 1809 e 1903 | x | x | x | x
Windows 10 (IoT) Enterprise 2015 LTSB | x | x | x | x
Windows 10 (IoT) Enterprise 2016 LTSB | x | x | x | x
Windows 10 (IoT) Enterprise 2019 LTSC | x | x | x | x
x: utilizzabile come sistema operativo guest -: non utilizzabile come sistema operativo guest

Nota

  • Per i sistemi operativi guest valgono gli stessi requisiti hardware del rispettivi prodotti TIA.

  • Il gestore dell'impianto deve assicurarsi che i sistemi operativi guest dispongano di sufficienti risorse di sistema.

  • Per l'utilizzo di HyperV-Server e ESXi si consiglia l'hardware certificato dai produttori.

  • Se si utilizza Microsoft Hyper-V non è possibile visualizzare i nodi accessibili.

Programmi di sicurezza supportati

I seguenti programmi di sicurezza sono compatibili con "SIMATIC STEP 7" e "SIMATIC WinCC":

  • Antivirus:

    • Symantec Endpoint Protection 14

    • Trend Micro Office Scan 12.0

    • McAfee Endpoint Security (ENS) 10.5

    • Kaspersky Endpoint Security 11.1

    • Windows Defender

    • Qihoo 360 "Safe Guard 11.5" + "Antivirus"

    Nota

    Fare attenzione che l’antivirus e le relative banche dati siano sempre allo stato attuale.

    L'ultimo aggiornamento dei pattern antivirus è stato eseguito in data 02.09.2019.

  • Software di crittografia:

    • Microsoft Bitlocker

  • Intrusion Detection System basato sull'host:

    • McAfee Application Control 8.0


Particolarità specifiche del prodotto

Particolarità specifiche del prodotto

Questo capitolo contiene informazioni sugli argomenti seguenti:
  • Installazione di WinCC Runtime Professional
  • Disinstallazione di un'istanza SQL
  • Avvertenze sull'installazione di TIA Portal Teamcenter Gateway


Installazione di WinCC Runtime Professional

Installazione in domini e gruppi di lavoro Funzionamento in un server di rete Nome del computer Windows Attivazione della comunicazione remota
Installazione di WinCC Runtime Professional

Installazione in domini e gruppi di lavoro

Fondamentalmente WinCC è abilitato per essere utilizzato in un dominio o in un gruppo di lavoro.

Osservare tuttavia che i criteri di gruppo per i domini e le restrizioni del dominio possono ostacolare l'installazione. In questo caso, prima di procedere all'installazione di Microsoft Message Queuing, Microsoft SQL Server e WinCC, rimuovere il computer dal dominio. Registrarsi nel computer interessato a livello locale con diritti di amministratore. Eseguire l'installazione. Al termine dell'installazione è possibile reinserire il computer WinCC nel dominio. Se i criteri di gruppo e le restrizioni del dominio non ostacolano l'installazione non è necessario rimuovere il computer dal dominio durante quest'operazione.

Osservare che i criteri di gruppo per i domini e le restrizioni del dominio possono ostacolare anche il funzionamento. Qualora non sia possibile annullare queste restrizioni, utilizzare i computer WinCC in un gruppo di lavoro.

Eventualmente rivolgersi all'amministratore del dominio.

Funzionamento in un server di rete

Il funzionamento di WinCC Runtime Professional su un server di rete (ad es. Domain Controller, File Server, Name Service Server, Router, Software Firewall, Media Server, Exchange Server) non è consentito.

Nome del computer Windows

Non modificare il nome del computer Windows dopo aver installato WinCC.

Se si modifica il nome del computer di Windows è necessario disinstallare e reinstallare SQL Server.

Nel nome del computer non sono ammessi i seguenti caratteri:

  • . , ; : ! ? " ' ^ ´ ` ~ _

  • + = / \ ¦ @ * # $ % & § °

  • ( ) [ ] { } < >

  • Spazio

Per l’assegnazione del nome al computer Windows osservare quanto segue:

  • Sono consentite solo le lettere maiuscole.

  • Il primo carattere deve essere una lettera.

  • I primi 12 caratteri del nome del computer devono essere univoci.

Attivazione della comunicazione remota

Sui sistemi WinCC dopo l’installazione la comunicazione remota è disabilitata di default nella finestra di dialogo "Simatic Shell". Nei seguenti casi applicativi deve essere riabilitata la comunicazione remota per i PC interessati:

  • Caricamento del runtime su un altro PC

  • Comunicazione client-server

  • Sistema ridondante

  • Opzione WinCC "WebNavigator"

    Se WebNavigator Client non gira sullo stesso PC di WebNavigator Server, deve essere attivata la comunicazione remota.

Per consentire l’accesso remoto procedere nel seguente modo:

  1. Aprire le impostazioni di comunicazione in Esplora risorse dal menu di scelta rapida di Simatic Shell.

  2. Attivare l’opzione "Comunicazione remota".

  3. Configurare la comunicazione crittografata nella rete: selezionare la chiave PSK e l’interfaccia.

  4. Selezionare l’adattatore di rete ed eventualmente le impostazioni Multicast.


Disinstallazione di un'istanza SQL

Contenuto Disinstallazione di un'istanza SQL
Disinstallazione di un'istanza SQL

Contenuto

Insieme a WinCC V16 viene installata una nuova istanza di WINCC SQL 2016 SP2.

Se è già installata una versione di WinCC Runtime Professional, prima di installare WinCC Professional V16 è necessario

  • installare WinCC Runtime Professional V16 oppure

  • disinstallare le istanze "WINCC" di SQL server.

Nota

Con la disinstallazione di WinCC Runtime Professional o di WinCC Professional, l'istanza di SQL Server non viene disinstallata.

Disinstallazione di un'istanza SQL

Le operazioni riportate di seguito sono un esempio di disinstallazione dell'istanza di Microsoft SQL Server 2008 R2.

  1. Aprire il Pannello di controllo.

  2. Fare clic su "Disinstalla".

  3. Nell'elenco dei programmi installati selezionare "Microsoft SQL Server 2008 R2", quindi fare clic su "Disinstalla/modifica".

  4. Nella finestra di dialogo "SQL Server 2008 R2" fare clic su "Remove".

  5. Nella finestra di dialogo "Setup Support Rules" fare clic su "OK".

  6. Nella finestra di dialogo "Select Instance" selezionare l'istanza "WINCC", quindi fare clic su "Next".

  7. Nella finestra di dialogo "Select Features" fare clic su "Select All", quindi selezionare "Next".

  8. Nella finestra di dialogo "Removal Rules" fare clic su "Next".

  9. Nella finestra di dialogo "Ready to Remove" fare clic su "Remove".

  10. Nella finestra di dialogo "Complete" fare clic su "Close" al termine della disinstallazione.

La disinstallazione di un'istanza di SQL Server 2005 o SQL Server 2014 prevede una procedura analoga.


Avvertenze sull'installazione di TIA Portal Teamcenter Gateway

Introduzione Requisiti per l'installazione Installazione del TIA Portal Teamcenter Gateway - Modello di dati Stesse versioni del TIA Portal durante l'installazione Percorso di installazione Antivirus
Avvertenze sull'installazione di TIA Portal Teamcenter Gateway

Introduzione

È possibile installare TIA Portal Teamcenter Gateway come indicato nel seguito:

  • Insieme all’installazione di TIA Portal

    Nota

    Per l’installazione del server sono necessari diritti di amministratore.

Requisiti per l'installazione

Requisiti

  • Deve essere installato Teamcenter Rich Application Client (di seguito chiamato "RAC") o Teamcenter Client Communication System (TCCS) versione 11.2 o superiore.

    Nota

    Se TCCS è stato installato come programma "stand-alone" si deve installare anche "Microsoft Visual C++ 2013 – Redistributable". Questo consentirà di stabilire il collegamento tra il TIA Portal e il TIA Portal Teamcenter Gateway.

  • Deve essere stato stabilito un collegamento tra FCC/FMS (FileClientCache/FileManagementSystem) e "Teamcenter Server 11.2 o superiore".

    Nota

    • Dopo un'installazione successiva a quella iniziale o un riavvio è necessario verificare che FCC/FMS (FileClientCache/FileManagementSystem) sia collegato al "Server Teamcenter 11.2" o superiore.

    • Dopo un'installazione successiva a quella iniziale o un riavvio è necessario verificare la password di registrazione. Per maggiori informazioni sulla verifica della password di registrazione consultare la Guida in linea "TIA Portal Teamcenter Gateway" al capitolo "Installazione e disinstallazione di TIA Portal Teamcenter Gateway" > "Verifica dell'installazione di TIA Portal Teamcenter Gateway".

    • Verificare in seguito ad una installazione successiva a quella iniziale o un riavvio, se è possibile salvare nel Teamcenter un tipo di elemento o aggiungere un set di dati alla revisione dell'elemento. Per maggiori informazioni concernenti il salvataggio di tipo di elementi consultare la Guida in linea "TIA Portal Teamcenter Gateway" al capitolo "▸Gestione di progetti TIA Portal con il TIA Portal Teamcenter Gateway" nella sezione "▸Memorizzazione di un progetto TIA Portal nel Teamcenter come nuovo elemento ".

    • Dopo un'installazione successiva a quella iniziale o un riavvio è necessario verificare se è possibile un trasferimento dei file da Teamcenter Rich Application Client al Server Teamcenter.

  • Sul server Teamcenter deve essere installato il modello di dati in dotazione, consistente di più file.

Installazione del TIA Portal Teamcenter Gateway - Modello di dati

L’installazione del TIA Portal Teamcenter Gateway - Modello di dati in dotazione deve essere eseguita con l’"Environment Manager".

La descrizione della procedura di installazione si trova sul DVD del prodotto nella directory "\Support\Teamcenter_11\ServerSetupDocument\".

Stesse versioni del TIA Portal durante l'installazione

Se si installano diversi prodotti di TIA Portal, durante l'installazione si devono utilizzare le stesse versioni dei Service Pack e degli aggiornamenti.

Se ad es. è stato installato TIA Portal V14 o superiore, occorre installare anche TIA Portal Teamcenter Gateway V14 o superiore.

Percorso di installazione

Non utilizzare caratteri Unicode (ad es. caratteri cinesi) nel percorso di installazione.

Antivirus

Durante l'installazione è necessario che l'accesso ai file già installati possa avvenire in lettura e in scrittura. Alcuni antivirus impediscono quest'operazione. Pertanto si consiglia di disattivare l'antivirus durante l'installazione di TIA Portal Teamcenter Gateway e di riattivarlo successivamente.


Protocollo di installazione

Funzione del protocollo di installazione Percorso dei protocolli di installazione Setup_Report (file CAB)
Avvertenze sulle licenze Avvio dell'installazione Verifica della disponibilità e installazione di aggiornamenti e support package Visualizzazione dei software installati Modifica o aggiornamento dei prodotti installati Riparazione dei prodotti installati Avvio della disinstallazione
Protocollo di installazione

Funzione del protocollo di installazione

L'avanzamento dei seguenti processi di installazione viene registrato in un file:

  • Installazione dei prodotti

  • Modifica o aggiornamento dei prodotti installati

  • Riparazione di un'installazione preesistente

  • Disinstallazione dei prodotti

Eventuali errori verificatisi durante il processo di installazione o avvisi emessi nel corso dello stesso, possono essere analizzati con l'ausilio del file di protocollo. Quest'operazione può essere eseguita dall'utente oppure rivolgendosi al Product Support.

Percorso dei protocolli di installazione

Il file di protocollo è il file più aggiornato con estensione ".log" il cui nome inizia con "SIA".

Il file di installazione è memorizzato nella variabile di ambiente "%autinstlog%". Per l'apertura della cartella con i file di protocollo, questa variabile può essere inserita sulla barra degli indirizzi di Windows Explorer. Alternativamente navigare, dal "CD %autinstlog%", dalla riga del comando alla directory interessata.

Il percorso è in funzione del sistema operativo, ad es. "C:\Programdata\Siemens\Automation\Logfiles\Setup" nella versione inglese di Windows 7.

Setup_Report (file CAB)

La memorizzazione di un file di archiviazione supplementare in formato CAB, contenente il protocollo di installazione e tutti i file necessari, garantisce che al product support vengano forniti tutti i file richiesti. Questo archivio si trova nella directory "%autinstlog%\Reports\Setup_report.cab". Trasferire il file CAB al Product Support per richiedere supporto nell'installazione. Sulla base di questo file, gli operatori del Product Support sono in grado di appurare se l'installazione si è svolta correttamente. I file CAB generato da processi di installazione precedenti vengono salvati, con un indicazione della data, nella directory "Reports".


Avvio dell'installazione

Introduzione Presupposti Procedura Risultato
Protocollo di installazione Avvertenze sui requisiti di sistema Avvertenze sulle licenze Visualizzazione dei software installati Modifica o aggiornamento dei prodotti installati Riparazione dei prodotti installati Avvio della disinstallazione
Avvio dell'installazione

Introduzione

L'installazione dei pacchetti software viene eseguita automaticamente da un programma di setup. Il programma di setup si avvia direttamente dopo aver inserito il supporto dati per l'installazione nell'apposito lettore.

Presupposti

  • Hardware e software del PG/PC devono essere conformi ai requisiti di sistema.

  • È necessario disporre dei diritti di amministratore sul proprio computer.

  • Tutti i programmi attivi devono essere stati chiusi.

Procedura

Per installare i pacchetti software procedere nel modo seguente:

  1. Inserire il supporto dati per l'installazione nell'apposito lettore.

    Se la funzione di autoavvio non è disattivata sul PG/PC il programma di setup si avvia automaticamente.

  2. Se il programma di setup non si avvia automaticamente, avviarlo manualmente facendo doppio clic sul file "Start.exe".

    Si apre la finestra di dialogo per la selezione della lingua di setup.

  3. Selezionare la lingua nella quale si desiderano visualizzare le finestre di dialogo del programma di setup.

  4. Per leggere le avvertenze sull'installazione e sul prodotto, fare clic sul pulsante "Leggi le avvertenze" oppure "Avvertenze di installazione".

    Si apre il file della Guida con le avvertenze richieste.

  5. Terminata la lettura chiudere questo file e fare clic sul pulsante "Avanti".

    Si apre la finestra di dialogo per la selezione delle lingue del prodotto.

  6. Selezionare le lingue per l'interfaccia utente del prodotto e fare clic sul pulsante "Avanti".

    Nota

    La lingua "Inglese" viene sempre installata come lingua di base del prodotto.

    Si apre la finestra di dialogo per la selezione della configurazione del prodotto.

  7. Selezionare i prodotti da installare:

    • Per installare il programma con la configurazione minima, selezionare il pulsante "Minimo".

    • Per installare il programma con la configurazione standard del prodotto, selezionare il pulsante "Standard".

    • Per stabilire in prima persona quali prodotti installare, selezionare il pulsante "Personalizzato". Attivare infine la casella di scelta per i prodotti da installare.

  8. Se si intende creare un link sul desktop, attivare la casella di scelta "Crea un link sul desktop".

  9. Se si desidera modificare la directory di destinazione per l'installazione fare clic sul pulsante "Sfoglia".

    Nota

    Osservare le avvertenze seguenti:

    • Il percorso di installazione non deve superare una lunghezza di 89 caratteri.

    • È possibile modificare il percorso di installazione solo se non è stato ancora installato alcun prodotto del pacchetto software che si intende installare.

    • Per l'incremento della sicurezza, selezionare come directory di destinazione un percorso protetto da diritti di amministratore.

  10. Fare clic sul pulsante "Avanti".

    Si apre la finestra di dialogo delle condizioni di licenza.

  11. Per proseguire con l'installazione, leggere e accettare tutte le condizioni di licenza e fare clic su "Avanti".

    La finestra di dialogo per le impostazioni di sicurezza si apre nel caso in cui l'installazione di TIA Portal richieda la modifica delle impostazioni di sicurezza e dei diritti.

  12. Per proseguire con l'installazione, accettare le modifiche delle impostazioni di sicurezza e dei diritti e fare clic sul pulsante "Avanti".

    Nella finestra di dialogo successiva viene visualizzato un riepilogo delle impostazione di installazione.

  13. Controllare le impostazioni di installazione scelte. Per introdurre eventuali modifiche premere il pulsante "Indietro" fino a tornare al punto da modificare nella finestra di dialogo. Dopo aver apportato le modifiche desiderate, tornare alla Vista generale con il pulsante "Avanti".

  14. Fare clic sul pulsante "Installa".

    L'installazione viene avviata.

    Nota

    Se durante l'installazione sul PC non viene rilevata la chiave di licenza, sussiste la possibilità di eseguire ora il trasferimento. Il trasferimento può anche essere saltato ed eseguito in un secondo momento in Automation License Manager.

    Dopo l'installazione viene visualizzato un messaggio che segnala se l'installazione è riuscita o meno.

  15. Potrebbe essere necessario riavviare il computer. In questo caso attivare l'opzione "Sì, riavvia ora il sistema". Successivamente fare clic sul pulsante "Riavvio".

  16. Se il sistema non deve essere riavviato, fare clic sul pulsante "Fine".

Risultato

Sul computer sono stati installati il TIA Portal, i prodotti acquistati, le licenze e Automation License Manager.


Visualizzazione dei software installati

Procedimento
Avvertenze sui requisiti di sistema Avvertenze sulle licenze Avvio dell'installazione Modifica o aggiornamento dei prodotti installati Riparazione dei prodotti installati Avvio della disinstallazione Protocollo di installazione
Visualizzazione dei software installati

In qualsiasi momento è possibile informarsi sul software installato. Inoltre è possibile visualizzare ulteriori informazioni sul software installato.

Procedimento

Per richiamare un riepilogo dei software installati procedere del modo seguente:

  1. Fare clic su "Software installati" nel comando di menu "?".

    Si apre la finestra di dialogo "Software installati". nella quale compaiono i prodotti software installati. Espandere le varie voci per vedere la versione installata.

  2. Per visualizzare ulteriori informazioni sul software di automazione installato fare clic sul link all'interno della finestra di dialogo "Ulteriori informazioni sul software installato".

    Si apre la finestra di dialogo "Informazioni dettagliate".

  3. Selezionare nella navigazione dell'area l'argomento sul quale si desiderano ulteriori informazioni.


Modifica o aggiornamento dei prodotti installati

Presupposti Procedimento Risultato
Avvertenze sui requisiti di sistema Avvertenze sulle licenze Avvio dell'installazione Visualizzazione dei software installati Riparazione dei prodotti installati Avvio della disinstallazione Protocollo di installazione
Modifica o aggiornamento dei prodotti installati

Tramite il programma di setup esiste la possibilità di modificare i prodotti installati o di eseguire un aggiornamento ad una nuova versione (update).

I blocchi con protezione del know-how creati con le versioni precedenti di TIA Portal non vengono aggiornati automaticamente insieme al progetto. Prima di aggiornare TIA Portal eliminare la protezione del know-how dai blocchi. Successivamente reimpostare la protezione del know-how con la versione attuale di TIA Portal. Per ulteriori informazioni vedere il sistema di informazione.

Presupposti

  • Hardware e software del PG/PC devono essere conformi ai requisiti di sistema.

  • È necessario disporre dei diritti di amministratore sul proprio computer.

  • Tutti i programmi attivi devono essere stati chiusi.

Procedimento

Per eseguire l'aggiornamento dei prodotti installati procedere nel modo seguente:

  1. Inserire il supporto dati per l'installazione nell'apposito lettore.

    Se la funzione di autoavvio non è disattivata sul PG/PC il programma di setup si avvia automaticamente.

  2. Se il programma di setup non si avvia automaticamente, avviarlo manualmente facendo doppio clic sul file "Start.exe".

    Si apre la finestra di dialogo per la selezione della lingua di setup.

  3. Selezionare la lingua nella quale si desiderano visualizzare le finestre di dialogo del programma di setup.

  4. Per leggere le avvertenze sull'installazione e sul prodotto, fare clic sul pulsante "Leggi le avvertenze" oppure "Avvertenze di installazione".

    Si apre il file della Guida con le avvertenze richieste.

  5. Terminata la lettura chiudere questo file e fare clic sul pulsante "Avanti".

    Si apre la finestra di dialogo per la selezione della variante di installazione.

  6. Attivare l'opzione "Modifica/aggiorna" e fare clic sul pulsante "Avanti".

    Si apre la finestra di dialogo per la selezione delle lingue del prodotto.

  7. Attivazione delle caselle di scelta delle lingue del prodotto che si intende installare. Per disinstallare lingue del prodotto in precedenza installate, disattivare le caselle di scelta corrispondenti.

    Nota

    Tenere presente che la lingua "Inglese" del prodotto non può essere disinstallata.

  8. Fare clic sul pulsante "Avanti".

    Si apre la finestra di dialogo per la selezione della configurazione del prodotto.

  9. Attivazione delle caselle di scelta dei componenti che si intende installare. Per disinstallare componenti in precedenza installati, disattivare le caselle di scelta corrispondenti.

  10. Fare clic sul pulsante "Avanti".

    Nota

    Si noti che non è possibile modificare la directory di destinazione, in quanto un aggiornamento modifica l'installazione già presente.

    La finestra di dialogo per le impostazioni di sicurezza si apre nel caso in cui l'installazione di TIA Portal richieda la modifica delle impostazioni di sicurezza e dei diritti.

  11. Per proseguire con l'installazione, accettare le modifiche delle impostazioni di sicurezza e dei diritti e fare clic sul pulsante "Avanti".

    Nella finestra di dialogo successiva viene visualizzato un riepilogo delle impostazione di installazione.

  12. Fare clic sul pulsante "Modifica".

    Viene avviata l'installazione dei componenti aggiuntivi.

    Nota

    Dopo l'installazione viene visualizzato un messaggio che segnala se l'installazione esistente è stata modificata correttamente.

  13. Potrebbe essere necessario riavviare il computer. In questo caso attivare l'opzione "Sì, riavvia ora il sistema". Successivamente fare clic sul pulsante "Riavvio".

  14. Se il sistema non deve essere riavviato, fare clic sul pulsante "Fine".

Risultato

L'installazione presente sul computer è stata modificata.


Riparazione dei prodotti installati

Presupposti Procedimento Risultato
Avvertenze sui requisiti di sistema Avvertenze sulle licenze Avvio dell'installazione Visualizzazione dei software installati Modifica o aggiornamento dei prodotti installati Avvio della disinstallazione Protocollo di installazione
Riparazione dei prodotti installati

Tramite il programma di setup è possibile riparare i prodotti installati eseguendo una reinstallazione completa.

Presupposti

  • Hardware e software del PG/PC devono essere conformi ai requisiti di sistema.

  • È necessario disporre dei diritti di amministratore sul proprio computer.

  • Tutti i programmi attivi devono essere stati chiusi.

Procedimento

Per la riparazione dei prodotti installati procedere nel modo seguente:

  1. Inserire il supporto dati per l'installazione nell'apposito lettore.

    Se la funzione di autoavvio non è disattivata sul PG/PC il programma di setup si avvia automaticamente.

  2. Se il programma di setup non si avvia automaticamente, avviarlo manualmente facendo doppio clic sul file "Start.exe".

    Si apre la finestra di dialogo per la selezione della lingua di setup.

  3. Selezionare la lingua nella quale si desiderano visualizzare le finestre di dialogo del programma di setup.

  4. Per leggere le avvertenze sull'installazione e sul prodotto, fare clic sul pulsante "Leggi le avvertenze" oppure "Avvertenze di installazione".

    Si apre il file della Guida con le avvertenze richieste.

  5. Terminata la lettura chiudere questo file e fare clic sul pulsante "Avanti".

    Si apre la finestra di dialogo per la selezione della variante di installazione.

  6. Attivare l'opzione "Ripara" e fare clic sul pulsante "Avanti".

    Nella finestra di dialogo successiva viene visualizzato un riepilogo delle impostazione di installazione.

  7. Fare clic sul pulsante "Ripara".

    Viene avviata la riparazione dell'installazione esistente.

    Nota

    Dopo l'installazione viene visualizzato un messaggio che segnala se i prodotti installati sono stati riparati correttamente.

  8. Potrebbe essere necessario riavviare il computer. In questo caso attivare l'opzione "Sì, riavvia ora il sistema". Successivamente fare clic sul pulsante "Riavvio".

  9. Se il sistema non deve essere riavviato, fare clic sul pulsante "Fine".

Risultato

I prodotti installati sono stati reinstallati.


Avvio della disinstallazione

Introduzione Disinstallazione dei componenti selezionati dal Pannello di controllo Disinstallazione del prodotto con l'ausilio del supporto dati per l'installazione
Protocollo di installazione Avvertenze sui requisiti di sistema Avvertenze sulle licenze Avvio dell'installazione Visualizzazione dei software installati Modifica o aggiornamento dei prodotti installati Riparazione dei prodotti installati
Avvio della disinstallazione

Introduzione

La disinstallazione dei pacchetti software viene eseguita automaticamente da un programma di setup. Una volta eseguito, il programma di setup assiste l'utente passo dopo passo per l'intero processo di disinstallazione.

La disinstallazione può avvenire in due modi:

  • Disinstallazione dei componenti selezionati dal Pannello di controllo

  • Disinstallazione del prodotto con l'ausilio del supporto dati per l'installazione

Nota

Automation License Manager non viene rimosso automaticamente con la disinstallazione dei pacchetti software perché può essere utilizzato per la gestione delle chiavi di licenza di diversi prodotti di Siemens AG.

Disinstallazione dei componenti selezionati dal Pannello di controllo

Per disinstallare i pacchetti software selezionati, procedere nel modo seguente:

  1. Aprire il Pannello di controllo.

  2. Alla voce "Programmi" fare clic sul pulsante "Disinstalla".

    Si apre una finestra di dialogo con l’elenco dei programmi installati.

  3. Selezionare i pacchetti software da disinstallare e fare clic sul pulsante "Disinstalla".

    Si apre la finestra di dialogo per la selezione della lingua di setup.

  4. Selezionare la lingua con cui visualizzare le finestre di dialogo del programma di setup e fare clic sul pulsante "Avanti".

    Si apre la finestra di dialogo per la selezione dei prodotti da disinstallare.

  5. Attivare le caselle di scelta per i prodotti da disinstallare e fare clic sul pulsante "Avanti".

    Nella finestra di dialogo successiva viene visualizzato un riepilogo delle impostazione di installazione.

  6. Controllare l'elenco dei prodotti da disinstallare. Per eseguire eventuali modifiche fare clic sul pulsante "Indietro".

  7. Fare clic sul pulsante "Disinstalla".

    La disinstallazione viene avviata.

  8. Potrebbe essere necessario riavviare il computer. In questo caso attivare l'opzione "Sì, riavvia ora il sistema". Successivamente fare clic sul pulsante "Riavvio".

  9. Se il sistema non deve essere riavviato, fare clic sul pulsante "Fine".

Disinstallazione del prodotto con l'ausilio del supporto dati per l'installazione

Per disinstallare tutti pacchetti software, procedere nel modo seguente:

  1. Inserire il supporto dati per l'installazione nell'apposito lettore.

    Se la funzione di autoavvio non è disattivata sul PG/PC il programma di setup si avvia automaticamente.

  2. Se il programma di setup non si avvia automaticamente, avviarlo manualmente facendo doppio clic sul file "Start.exe".

    Si apre la finestra di dialogo per la selezione della lingua di setup.

  3. Selezionare la lingua nella quale si desiderano visualizzare le finestre di dialogo del programma di setup.

  4. Per leggere le avvertenze sull'installazione e sul prodotto, fare clic sul pulsante "Leggi le informazioni sul prodotto" o "Leggi le avvertenze per l'installazione".

    Si apre il file della Guida con le avvertenze richieste.

  5. Terminata la lettura chiudere questo file e fare clic sul pulsante "Avanti".

    Si apre la finestra di dialogo per la selezione della variante di installazione.

  6. Attivare l'opzione "Disinstalla" e fare clic sul pulsante "Avanti".

    Nella finestra di dialogo successiva viene visualizzato un riepilogo delle impostazione di installazione.

  7. Fare clic sul pulsante "Disinstalla".

    La disinstallazione viene avviata.

  8. Potrebbe essere necessario riavviare il computer. In questo caso attivare l'opzione "Sì, riavvia ora il sistema". Successivamente fare clic sul pulsante "Riavvio".

  9. Se il sistema non deve essere riavviato, fare clic sul pulsante "Fine".


Installazione di aggiornamenti e Support Package

Installazione di aggiornamenti e Support Package

Questo capitolo contiene informazioni sugli argomenti seguenti:
  • Verifica della disponibilità e installazione di aggiornamenti e support package
  • Gestione del server aziendale proprio


Verifica della disponibilità e installazione di aggiornamenti e support package

Disattivazione o attivazione della ricerca automatica degli aggiornamenti sofware Ricerca manuale di aggiornamenti software Impostazione del server Scaricamento e installazione degli aggiornamenti software in modo singolo Scaricamento ed installazione di più support package in un’unica operazione Procedimento alternativo per l'installazione dei support package
Protocollo di installazione
Verifica della disponibilità e installazione di aggiornamenti e support package

Come preimpostazione TIA Portal verifica automaticamente se sono disponibili nuovi aggiornamenti software o support package come ad es. gli Hardware Support Package (HSP). La ricerca automatica di aggiornamenti ha luogo ad ogni riavvio del computer e poi, ciclicamente, ogni 24 ore. La ricerca automatica può essere attivata e disattivata in qualsiasi momento. Inoltre è possibile cercare gli aggiornamenti manualmente.

Se sono stati trovati degli aggiornamenti, è possibile scaricarli e installarli.

Nota

Sono supportati aggiornamenti e support package da TIA Portal V13 in poi.

Disattivazione o attivazione della ricerca automatica degli aggiornamenti sofware

Per disattivare o attivare nuovamente la ricerca automatica degli aggiornamenti software aggiornamento software, procedere come segue:

  1. Nel menu "Strumenti" selezionare il comando "Impostazioni".

    Nell'area di lavoro viene visualizzata la finestra "Impostazioni".

  2. Nella navigazione dell'area selezionare il gruppo "Generale > Aggiornamenti software".

  3. Disattivare la casella di scelta "Cerca aggiornamenti giornalmente" per disattivare la ricerca automatica di aggiornamenti software.

  4. Attivare la casella di scelta "Cerca aggiornamenti giornalmente" per attivare nuovamente la ricerca automatica di aggiornamenti software.

Ricerca manuale di aggiornamenti software

Per cercare manualmente degli aggiornamenti software procedere come segue:

  1. Fare clic su "Software installato" nel comando di menu "?".

    Si apre la finestra di dialogo "Software installato".

  2. Fare clic su "Trova aggiornamenti".

    Si apre la finestra di dialogo "TIA Updater" e vengono visualizzati gli aggiornamenti disponibili.

Oppure:

  1. Nel menu "Strumenti" selezionare il comando "Impostazioni".

    Nell'area di lavoro viene visualizzata la finestra "Impostazioni".

  2. Nella navigazione dell'area selezionare il gruppo "Generale > Aggiornamenti software".

  3. Fare clic su "Cerca ora gli aggiornamenti".

    Si apre la finestra di dialogo "TIA Updater" e vengono visualizzati gli aggiornamenti disponibili.

Oppure:

  1. Aprire TIA Updater selezionando "Start > Tutti i programmi > Siemens Automation > Automation Software UPDATER".

  2. Fare clic su "Trova aggiornamenti".

    Vengono visualizzati gli aggiornamenti disponibili.

Impostazione del server

Per poter scaricare gli aggiornamenti e i Support Package si deve impostare il server, che può essere il TIA Automation Update Server o il server della propria azienda. Procedere nel modo seguente:

  1. Aprire TIA Updater.

  2. Fare clic su "Impostazioni" e selezionare l'opzione "TIA Automation Software Update Server" nell'area "Server in cui si devono cercare gli aggiornamenti" della finestra visualizzata.
    Il software cerca gli aggiornamenti disponibili nel server del costruttore.

Oppure:

  1. Aprire TIA Updater.

  2. Fare clic su "Impostazioni" e selezionare l'opzione "Server aziendale" nell'area "Server in cui si devono cercare gli aggiornamenti" nella finestra di dialogo visualizzata.

  3. Inserire l'URL del server ricevuto dall'amministratore. L'URL deve essere inserito nel formato https://[URL del server]/[Percorso della directory di archiviazione] oppure https://[Indirizzo IP del server]/[Percorso della directory di archiviazione]. In caso di incertezze sul formato da utilizzare, rivolgersi all'amministratore
    il software cerca gli aggiornamenti disponibili sul server aziendale.

  4. Verificare il nome della linea di produzione e, se necessario. modificarlo. Per default è impostato "ProductionLine1".
    Le linee di produzione consentono di mettere a disposizione di utenti diversi precisi aggiornamenti e/o Support Package. Se l'azienda non utilizza diverse linee di produzione, mantenere la linea preimpostata.
    Per informazioni dettagliate sulla creazione dei progetti e sull'utilizzo delle linee di produzione consultare la Guida a TIA Updater Corporate Configuration Tool.

Le opzioni per il server in cui effettuare la ricerca degli aggiornamenti possono essere modificate in qualsiasi momento. La modifica è tuttavia bloccata durante il download. Dopo aver modificato il server vengono elencati tutti gli aggiornamenti e i Support Package già scaricati, anche se non sono disponibili nel server attualmente impostato.

Scaricamento e installazione degli aggiornamenti software in modo singolo

Per scaricare e installare gli aggiornamenti software e i Support Package disponibili, procedere nel seguente modo:

  1. Se TIA Updater non viene visualizzato, aprirlo in uno dei modi seguenti:

    • Quando la ricerca automatica trova degli aggiornamenti, compare un relativo messaggio nell'area informativa della barra degli strumenti di Windows e viene visualizzata l'icona del TIA Updater. Fare clic sul messaggio o sull'icona per aprire il TIA Updater.

    • Nel menu "?" fare clic su "Software installato" e quindi su "Trova aggiornamenti".

    • Nel menu di Start di Windows fare clic su "Start > Tutti i programmi > Siemens Automation > Automation Software Updater".

  2. Sulla riga dell'aggiornamento o del support package da installare fare clic su "Download".

    L'aggiornamento o il support package viene scaricato. Appena concluso il download si attiva il corrispondente pulsante "Installa".

    Nota

    Prestare attenzione a quanto segue:

    1. È possibile avviare diversi download contemporaneamente.

    2. Nel corso di un download è possibile disconnettersi o anche arrestare il computer. In questi casi il download prosegue in background non appena l'utente si riconnette.

    3. In alcuni casi anziché il pulsante "Download" viene visualizzato un link a una pagina web esterna. Scaricare l'aggiornamento software da questa pagina e installarlo manualmente.

  3. Chiudere il TIA Portal nel caso sia ancora aperto.

  4. Nella finestra di dialogo "Siemens TIA Updater" fare clic sul pulsante "Installa" del pacchetto software da installare.

    Viene visualizzata la finestra di dialogo di installazione.

    Nota

    Prestare attenzione a quanto segue:

    1. Non è possibile installare diversi aggiornamenti contemporaneamente.

    2. Non disconnettersi né arrestare il computer mentre è in corso un'installazione. Si evitano così versioni incoerenti del software sul computer.

  5. Fare clic su "Avanti".

    Il prodotto selezionato viene installato.

Scaricamento ed installazione di più support package in un’unica operazione

Per scaricare e installare in un’unica volta i support package disponibili, procedere nel seguente modo:

  1. Attivare le righe desiderate. Sono disponibili diverse opzioni:

    • Per scaricare ed installare tutti i support package visualizzati, attivare il segno di spunta presente nel titolo dell’elenco.

    • Per scaricare ed installare più support package, selezionare il primo support package desiderato e premendo il tasto <Ctrl> selezionare tutti i successivi support package interessati. Impostare poi il segno di spunta in una della righe selezionate.

    • Per scaricare ed installare più support package in una determinata sequenza, selezionare il primo support package desiderato, premere il tasto <Shift> e selezionare l’ultimo support package interessato.

  2. Fare clic sul pulsante “Scarica ed installa”.

  3. Dopo il download fare clic su “Avanti” nella finestra visualizzata sullo schermo per avviare l’installazione. Successivamente viene visualizzata una finestra di dialogo che fornisce informazioni sul progresso dell’installazione.

Nota

È possibile scaricare ed installare soltanto i support package che non sono soggetti ad alcun tipo di restrizione al momento dell’esportazione.

Procedimento alternativo per l'installazione dei support package

Per installare un support package è possibile seguire un ulteriore procedimento. Procedere nel modo seguente:

  1. Nel menu "Strumenti" del TIA Portal fare clic sul comando "Support package".

    Si apre la finestra di dialogo "Informazioni dettagliate". Un'apposita tabella elenca tutti i Support Package della directory in precedenza definita come percorso di salvataggio dei Support Package nelle impostazioni.

  2. Per l'installazione di un Support Package non disponibile nell'elenco, sussistono le seguenti possibilità:

    • Se già disponibile sul sistema, il Support Package può essere acquisito nell'elenco attivando la funzione "Aggiungi dal sistema di file".

    • Per inserire un Support Package scaricandolo dalla sezione "Service & Support" in Internet, eseguire prima il download attivando la funzione "Scarica da Internet". In seguito è possibile aggiungerlo prelevandolo dal sistema di file.

  3. Selezionare il Support Package da installare.

  4. Fare clic su "Installa".

  5. Chiudere e avviare nuovamente il TIA Portal.


Gestione del server aziendale proprio

Gestione del server aziendale proprio

Questo capitolo contiene informazioni sugli argomenti seguenti:
  • Proprietà e vantaggi di un server aziendale proprio
  • Configurazione del server aziendale per gli aggiornamenti
  • Predisposizione degli aggiornamenti nel server aziendale


Proprietà e vantaggi di un server aziendale proprio

Premessa Configurazione del server e creazione di progetti Utilizzo del server
Proprietà e vantaggi di un server aziendale proprio

Premessa

Un server aziendale proprio consente il salvataggio degli aggiornamenti/Support Package selezionati su un server locale dal quale saranno resi disponibili agli utenti, ad es. per linee di produzione diverse. Il vantaggio di questo server consiste nel rendere superfluo l'accesso a Internet. Gli utenti potranno infatti installare gli update da Intranet o da un disco rigido esterno. Evitando l'accesso diretto a Internet, la protezione da cavalli di Troia o da software dannosi che potrebbero infiltrarsi da Internet nella rete aziendale interna, viene sensibilmente incrementata.

Configurazione del server e creazione di progetti

Nella fase iniziale il server aziendale proprio viene configurato da un amministratore e gli aggiornamenti/Support Package vengono resi disponibili mediante TIA Updater Corporate Configuration Tool. Inoltre possono essere creati progetti per diverse linee di produzione da cui l'utente ha ottenuto gli update necessari. Gli utenti devono avere accesso all'area del server e disporre del nome della linea di produzione e devono essere messi a conoscenza tramite la directory di archiviazione.

Per informazioni dettagliate sulla creazione di linee di produzione e sul lavoro con le stesse consultare la Guida in linea su TIA Updater Corporate Configuration Tool.

Utilizzo del server

Mediante TIA Updater gli utenti possono scaricare e installare gli aggiornamenti/Support Package di rilievo. E' possibile avviare più download contemporaneamente, tuttavia l'installazione degli Updates/Support Package deve avvenire singolarmente e in successione.


Configurazione del server aziendale per gli aggiornamenti

Introduzione Presupposti Installazione del ruolo del server Web (IIS) Creazione di un sito Web Attivazione di una directory virtuale Inserimento e configurazione del tipo MIME Attivazione dell'estensione server IIS BITS Impostazione di un certificato autofirmato per il server Creazione di un binding SSL Verifica del binding SSL Configurazione delle impostazioni SSL Distribuzione degli aggiornamenti in diversi settori
Configurazione del server aziendale per gli aggiornamenti

Introduzione

Per fare in modo che gli aggiornamenti e i Support Package siano a disposizione degli utenti in un punto centrale si deve configurare un server aziendale. La configurazione può essere effettuata con Microsoft Server Manager.

Nel seguito si illustrano in un esempio le sequenze operative necessarie alla creazione e configurazione del server per l'impiego di TIA Updater Corporate Configuration Tool con il sistema operativo Microsoft Server 2016. Ulteriori impostazioni eventualmente necessarie per il funzionamento nell'azienda del cliente, non costituiscono oggetto della presente descrizione

Nota

La struttura del menu di avvio e il percorso di memorizzazione dei programmi può cambiare da un sistema operativo all'altro.

Per informazioni più precise sulla configurazione e l'utilizzo del Server Manager consultare la Guida di Microsoft.

Presupposti

Si deve disporre dei diritti di amministratore.

Installazione del ruolo del server Web (IIS)

Per installare il necessario ruolo del server Web procedere nel seguente modo:

  1. Aprire il menu di avvio quindi selezionare "Server Manager".

  2. Sulla dashboard fare clic su "Aggiungi ruoli e funzionalità".

  3. Utilizzare l'Assistente "Aggiungi ruoli e funzionalità" per aggiungere il ruolo del server Web.
    Prima dell'avvio dell'Assistente viene verificato che l'amministratore abbia assegnato una password complessa, che le impostazioni di rete siano configurate correttamente e che siano installati gli aggiornamenti di sicurezza più recenti di Windows.

  4. Selezionare il tipo di installazione "Installazione basata su ruoli o basata su funzionalità", quindi fare clic su "Avanti".

  5. Selezionare quindi il server di destinazione e fare clic su "Avanti".

  6. Verificare i ruoli selezionati che saranno installati per default, quindi selezionare il ruolo supplementare "Server Web (IIS)".

  7. Fare clic "Aggiungi funzionalità", quindi su "Avanti". Vengono visualizzate le funzionalità del server Web.

  8. Fare clic sulla voce "Role Service" e accertarsi che siano state selezione le seguenti proprietà, in caso contrario provvedere alla selezione delle stesse:

    Area "Server web"

    • Documento predefinito

    • Sfoglia directory

    • Errore HTTP

    • Contenuto statico

    Area "Integrità e diagnostica"

    • Registrazione HTTP

    • Monitor richieste

    Area "Prestazioni"

    • Compressione contenuto statico

    Area "Sicurezza"

    • Filtro richieste

    Area "Sviluppo applicazioni"

    • Estendibilità .NET 3.5

    • Estendibilità .NET 4.6

    • ASP.NET 3.5

    • ASP.NET 4.6

    • Estensioni ISAPI

    • Filtri ISAPI

  9. Fare clic su "Avanti".

  10. Controllare le impostazioni nella finestra di dialogo "Conferma selezioni per l'installazione", quindi fare clic su "Installa".

Sulla dashboard viene aggiunto "IIS" e la configurazione può proseguire.

Creazione di un sito Web

  1. Nell'area di navigazione fare clic su "IIS" quindi fare clic con il tasto destro del mouse nell'area "Server" e selezionare "Gestione Internet Information Services (IIS)".

  2. Nell'area "Connessioni" selezionare "Siti", quindi fare clic su "Sito Web predefinito".

  3. Premere il tasto destro del mouse e selezionare l'opzione "Aggiungi directory virtuale...".

  4. Nella casella "Alias" nella finestra di dialogo visualizzata inserire il nome da visualizzare ad es. "TIAPortalUpdates".

  5. Immettere in "Percorso fisico" il percorso della cartella in cui si trova il sito Web o fare clic sul pulsante Sfoglia (...) per cercare la cartella nel file system.

  6. Fare clic su "Prova impostazioni..." e verificare la correttezza delle impostazioni.

  7. Fare clic su "OK".

Attivazione di una directory virtuale

  1. Nell'area "Connessioni > Siti > Sito Web predefinito", selezionare la directory virtuale creata. Nella vista "Funzionalità" fare doppio clic su la voce "Sfoglia directory".

  2. Nell'area "Azioni" fare cli su "Abilita".

Inserimento e configurazione del tipo MIME

  1. Nell'area "Collegamenti", selezionare il sito Web creato.

  2. Fare doppio clic su “Tipo MIME” nella vista "Funzionalità".

  3. Fare clic su "Aggiungi" nell'area "Azioni".

  4. Immettere .* nella casella di testo "Estensione nome file" della finestra di dialogo "Aggiungi tipo MIME".

  5. Nella casella di testo "Tipo MIME" inserire "all/files".

  6. Fare clic su "OK".

Attivazione dell'estensione server IIS BITS

  1. Spostarsi nella directory virtuale di Gestione IIS.

  2. Fare doppio clic su "Processi di caricamento BITS" nella vista Funzionalità della directory virtuale.

  3. Attivare la casella di riepilogo "Consenti ai client di caricare file" e fare clic su "Applica".

Impostazione di un certificato autofirmato per il server

  1. Spostarsi nel livello dell'area "Connessioni" che si vuole gestire.

  2. Fare doppio clic su "Certificati server" nella vista "Funzionalità".

  3. Fare clic su "Crea certificato autofirmato" nell'area "Azioni".

  4. Inserire il nome del certificato nella casella "Specifica nome descrittivo per il certificato" della finestra di dialogo "Crea certificato autofirmato" e fare clic su "OK".

Creazione di un binding SSL

  1. Aprire la voce "Siti" dell'area "Collegamenti" e fare clic sul sito al quale si intende aggiungere un binding.

  2. Fare clic su "Binding" nell'area "Aggiungi".

  3. Fare clic su "Aggiungi" nella finestra di dialogo "Binding sito".

  4. Selezionare il certificato creato in "Tipo" "https" e in "Certificato SSL" nella finestra di dialogo "Aggiungi binding sito", quindi fare clic su "OK".

Verifica del binding SSL

  1. Fare clic sul binding selezionato in "Esplora sito Web" nell'area "Azioni".
    Si apre una pagina di errore in Internet Explorer, perché il certificato autofirmato è stato creato dal PC dell'utente.

  2. Fare clic su “Continuare con il sito Web (scelta non consigliata)”.
    Se si inserisce il certificato nella memoria dei certificati "Autorità di certificazione fonti attendibili" il messaggio non compare più.

Configurazione delle impostazioni SSL

  1. Fare doppio clic su "Impostazioni SSL" nella vista "Funzionalità".

  2. Nell'area "Certificati client" della finestra di dialogo "Impostazioni SSL" eseguire una delle seguenti operazioni:

    • Selezionare "Ignora" per fare in modo che i certificati dei client non vengano accettati neppure se il client è in grado di esibirne uno.

    • Selezionare "Accetta" per fare in modo che i certificati dei client vengano accettati.

    • Selezionare "Richiesto" per fare in modo che i certificati dei client vengano richiesti. L'opzione "Richiedi certificati dei client" può essere utilizzata solo se è attiva l'opzione "Richiedi SSL".

  3. Fare clic su "Applica" nell'area "Azioni".

Distribuzione degli aggiornamenti in diversi settori

È possibile che reparti diversi necessitino di aggiornamenti o Support Package diversi. In questo caso è consigliabile utilizzare per gli aggiornamenti più server che offrono aggiornamenti e Support Package differenti. Procedere nel modo seguente:

  1. Creare diversi server interni all’azienda come descritto precedentemente.

oppure

  1. Installare il ruolo del server Web.

  2. Creare più siti Web.
    A questi siti Web e ai percorsi fisici occorre assegnare nomi univoci per evitare confusioni!

  3. Impostare le funzionalità descritte per il server Web o i siti Web.

Ora è possibile creare gli aggiornamenti e Support Package necessari per i diversi reparti nelle directory definite.


Predisposizione degli aggiornamenti nel server aziendale

Introduzione Presupposti Come aggiungere gli aggiornamenti del TIA Automation Software Update Server Annullamento del download Eliminazione degli aggiornamenti dal server aziendale Opzioni per il server
Proprietà e vantaggi di un server aziendale proprio Configurazione del server aziendale per gli aggiornamenti
Predisposizione degli aggiornamenti nel server aziendale

Introduzione

Il TIA Updater Corporate Configuration Tool consente di configurare un server aziendale proprio in cui salvare gli aggiornamenti/i Support Package e metterli a disposizione degli utenti.

Presupposti

Si deve disporre dei diritti di amministratore.

Un server aziendale proprio può essere configurato soltanto con il sistema operativo Microsoft Server in quanto il relativo funzionamento richiede un servizio BITS IIS e un server IIS operativo.

Come aggiungere gli aggiornamenti del TIA Automation Software Update Server

Per aggiungere gli aggiornamenti del TIA Automation Software Update Server procedere nel seguente modo:

  1. Aprire il TIA Updater Corporate Configuration Tool.
    Vengono elencati gli aggiornamenti disponibili.

  2. Fare clic sul pulsante "Aggiungi aggiornamento" e selezionare la casella di opzione "Aggiungere aggiornamenti del TIA Automation Software Update Server".

  3. Selezionare gli aggiornamenti desiderati (software e Support Package) nella finestra di dialogo "Aggiungere aggiornamenti del TIA Automation Software Update Server" e fare clic su "Aggiungi".
    Gli aggiornamenti già presenti nel server aziendale compaiono in grigio e non possono essere riscaricati. Durante il download la finestra indica lo stato e il tempo residuo.

Annullamento del download

Per annullare il download procedere nel seguente modo:

  1. Fare clic sul pulsante "Annulla Download".

  2. Confermare con "Sì" la finestra di dialogo visualizzata.
    Il download degli aggiornamenti viene annullato e l'aggiornamento viene eliminato dall'elenco.

Eliminazione degli aggiornamenti dal server aziendale

Per eliminare gli aggiornamenti procedere nel seguente modo:

  1. Selezionare gli aggiornamenti desiderati e fare clic sul pulsante "Rimuovi".

  2. Confermare con "Sì" la finestra di dialogo visualizzata.
    Gli aggiornamenti selezionati vengono eliminati dall'elenco.

Opzioni per il server

Selezionare "Impostazioni" nella finestra di dialogo "TIA Automation Software Update Server" per definire quanto segue:

  1. Indicare la cartella in cui salvare i file scaricati in "Percorso del server". Si può selezionare sia un drive locale che un drive di rete.

    Nota

    Se si lavora direttamente sul server la cartella di destinazione coincide con quella di distribuzione del server. Le modifiche vengono applicate immediatamente. Questo modo di procedere non è consigliabile perché possono verificarsi conflitti con i download in corso.

    Si consiglia invece di lavorare in un altro PC e di scegliere come directory di destinazione una directory qualsiasi. Il contenuto della cartella dovrà essere in seguito copiato nella cartella di distribuzione. Accertarsi anche in questo caso che non si verifichino conflitti con i download in corso.

  2. Se si vuole che il server resti sempre attivo in background attivare la casella di opzione "Eseguire il server sempre in background (viene visualizzato il simbolo nella barra delle applicazioni)".

  3. Confermare con "OK" i dati inseriti.


Installazione automatizzata dei Support Package

Installazione automatizzata dei Support Package

Questo capitolo contiene informazioni sugli argomenti seguenti:
  • Installazione automatizzata dei Support Package
  • Valori di ritorno nel processo di installazione
  • File di protocollo


Installazione automatizzata dei Support Package

Introduzione Presupposti Procedura
Valori di ritorno nel processo di installazione File di protocollo
Installazione automatizzata dei Support Package

Introduzione

Con il Support Package Installer dalla versione V15.1 è possibile installare e aggiornare tutti i Support Package quali ad es. i pacchetti HSP (Hardware Support Package) compatibili con la versione installata del TIA Portal (ad es. isp.15_1) in modo automatizzato tramite la riga dei comandi.

Presupposti

  • Hardware e software del PG/PC devono essere conformi ai requisiti di sistema.

  • È necessario disporre dei diritti di amministratore sul proprio computer.

  • Tutti i programmi attivi devono essere stati chiusi.

Procedura

Per avviare direttamente l'installazione con le opzioni desiderate tramite la riga dei comandi procedere nel modo seguente:

  1. Avviare il prompt di Windows mediante "Start > Esegui > cmd".

  2. Spostarsi nella directory che contiene il file "Siemens.Automation.SupportPackageInstaller.exe". Questa è la directory di installazione del TIA Portal installato.

  3. Digitare nel prompt il seguente comando:
    %Directory di installazione% > Siemens.Automation.SupportPackageInstaller.exe <Directory di memorizzazione Support Package(HSP)> [-l <None del file di protocollo>] [-warnaserror]

<Directory di memorizzazione Support Package>
Directory obbligatoria nella quale vengono salvati i file del Support Package (*.isp). Può trattarsi di una cartella locale o di un Remote Share.

-l <Posizione di memorizzazione file di protocollo>
Questo parametro è opzionale e indica il percorso del file di protocollo. Se non viene impostato, il file di protocollo viene creato nella directory binaria. Occorre essere in possesso dei diritti di scrittura per la cartella di memorizzazione!

-warnaserror
Questo parametro è opzionale e indica che ogni segnalazione che normalmente verrebbe emessa come avvertenza viene invece emessa come errore. Se ad esempio un HSP non soddisfa i presupposti necessari, viene trasmesso un valore di ritorno / di interruzione corrispondente alla riga dei comandi e l’HSP interessato viene saltato.

-?
Questo parametro è opzionale e visualizza la Guida.

Nota

  • Se la directory di memorizzazione o il nome del file di protocollo contiene spazi, occorre inserire le denominazioni tra virgolette.

  • Vengono tenuti in considerazione solo i Support Package salvati direttamente nella directory di memorizzazione; le sottodirectory vengono ignorate. Ciò significa che i file *.isp devono trovarsi direttamente nella directory di memorizzazione.


Valori di ritorno nel processo di installazione

Concetto chiave
Installazione automatizzata dei Support Package File di protocollo
Valori di ritorno nel processo di installazione

Concetto chiave

La tabella seguente riporta i valori di ritorno e il relativo significato:

Codice | Descrizione
0 | Installazione riuscita.
1 | Installazione riuscita, è necessario un riavvio del sistema.
-1 | Installazione fallita.
-2 | Installazione fallita: il TIA Portal è ancora aperto.
-3 | Installazione fallita: è già in corso un'altra installazione.
-4 | Installazione fallita: diritti insufficienti. L'installazione richiede il possesso dei diritti di amministratore.
-6 | Installazione fallita: spazio di memoria insufficiente.
-7 | Installazione fallita: prima dell’avvio dell’installazione è necessario un riavvio del sistema.


File di protocollo

Contenuto del file di protocollo
Installazione automatizzata dei Support Package Valori di ritorno nel processo di installazione
File di protocollo

Contenuto del file di protocollo

Il file di protocollo contiene informazioni dettagliate su ciascuna installazione. Se il file di protocollo esiste già, esso viene integrato con i nuovi dati. Per ogni installazione vengono create righe di intestazione e di piedinatura, tra le quali sono riportate le rispettive informazioni.

Viene creata una voce per ognuno dei seguenti eventi:

  • Support Package elencati nella directory di memorizzazione e disponibili durante l’installazione ma che non è stato possibile installare a causa dell’assenza di alcuni prodotti. La voce nel file di protocollo indica i prodotti e le relative versioni mancanti.

  • Support Package la cui installazione è fallita.

  • Support Package la cui installazione è riuscita.

Per ogni voce viene registrato il nome file dell’HSP completo di estensione.


Installazione e disinstallazione del tool di migrazione

Installazione e disinstallazione del tool di migrazione

Questo capitolo contiene informazioni sugli argomenti seguenti:
  • Requisiti di sistema
  • Installazione del tool di migrazione
  • Disinstallazione del tool di migrazione


Requisiti di sistema

Requisiti di sistema per il tool di migrazione
Requisiti di sistema

Requisiti di sistema per il tool di migrazione

Per l'utilizzo del tool di migrazione si applicano i seguenti requisiti di sistema:

  • Devono essere stati installati tutti i prodotti con i quali è stato creato il progetto sorgente. I prodotti supportati sono i seguenti:

    • A partire da STEP 7 V5.4 SP5

    • WinCC V7.5 con gli ultimi aggiornamenti

    • A partire da WinCC flexible 2008 SP2

    • I progetti integrati di STEP 7 V5.4 e i prodotti WinCC sopra riportati

    • STEP 7 Distributed Safety V5.4 SP5

    • F-Configuration-Pack da V5.4 SP5 a V5.5 SP12

    • SINUMERIK STARTER e Startdrive

    • A partire da SIMOTION SCOUT V4.4

      La migrazione di progetti SIMOTION SCOUT richiede il tool SCOUT Migration PlugIn nella versione compatibile a SCOUT TIA.

  • Devono essere stati installati tutti i pacchetti opzionali necessari per l'elaborazione del progetto STEP 7. Tra questi sono compresi ad esempio tutti gli HSP per i dispositivi utilizzati nel progetto sorgente.

  • Microsoft .NET Framework 4.6.2 è installato. S non è installato Microsoft .Net Framework la versione necessaria viene installata con il tool di migrazione.


Installazione del tool di migrazione

Distribuzione del tool di migrazione Procedimento
Installazione del tool di migrazione

Distribuzione del tool di migrazione

Il tool di migrazione si trova sul DVD di installazione del TIA Portal nella cartella "Support". In alternativa può essere scaricato dal Siemens Industry Online Support. Alcuni prodotti, quali ad es. SIMATIC Failsafe o SIMOTION, richiedono Plug-in supplementari per il tool di migrazione. Anche questi Plug-in possono essere scaricati dal Siemens Industry Online Support o essere installati dal DVD di installazione dei rispettivi prodotti.

Di norma il tool di migrazione viene installato senza il TIA Portal. Il TIA Portal prevede già una funzione di migrazione integrata, pertanto non è necessario installare separatamente il tool di migrazione.

Procedimento

Per installare il tool di migrazione, procedere nel modo seguente:

  1. Scaricare il file di installazione dal Siemens Industry Online Support oppure utilizzare il file di installazione contenuto nella cartella "Support" del DVD di installazione di TIA Portal.

  2. Avviare il file di installazione.

    Si apre il programma di setup per il tool di migrazione.

  3. Selezionare innanzitutto la lingua nella quale visualizzare il setup, quindi fare clic sul pulsante "Avanti".

    Viene visualizzata la pagina per la selezione della lingua del software.

  4. Essendo fornito esclusivamente in lingua inglese, il tool di migrazione preclude la selezione di altre lingue di installazione. Fare quindi clic su "Avanti" per passare all'operazione successiva.

    Viene visualizzata la pagina per la selezione dei prodotti.

  5. Il tool di migrazione è costituito da un solo componente software ed è pertanto già selezionato. Fare clic sul pulsante "Avanti".

    Viene caricata la pagina di conferma delle condizioni di licenza.

  6. Fare clic sulle voci nell'elenco delle condizioni di licenza per la lettura delle stesse e delle avvertenze di sicurezza. Se si è d'accordo con tutte le condizioni di licenza, attivare la casella di scelta "Accetto tutti i termini dei Contratti di licenza elencati" e "Confermo di aver letto e compreso le indicazioni di &sicurezza per il funzionamento sicuro dei prodotti".

  7. Successivamente fare clic sul pulsante "Avanti".

    Si apre la Vista generale di installazione.

  8. Fare clic sul pulsante "Installa".

    L'installazione viene eseguita con le impostazioni selezionate.

    Dopo l'installazione del tool di migrazione è necessario riavviare il computer.


Disinstallazione del tool di migrazione

Procedimento
Disinstallazione del tool di migrazione

Il tool di migrazione può essere disinstallato tramite il Pannello di controllo.

Procedimento

Per disinstallare il tool di migrazione procedere nel modo seguente:

  1. Aprire il Pannello di controllo.

  2. Fare doppio clic nel Pannello di controllo sull'elemento "Programmi e funzionalità".

    Si apre la finestra di dialogo "Disinstalla o modifica programma".

  3. Selezionare la voce per il tool di migrazione nella finestra di dialogo "Disinstalla o modifica programma" e fare clic sul pulsante "Disinstalla".

    Viene visualizzata un'interrogazione di sicurezza.

  4. Confermare la richiesta di sicurezza facendo clic su "Sì".

    Il programma di setup viene avviato.

  5. Selezionare la lingua di installazione e fare clic su "Avanti".

  6. Selezionare il tool di migrazione per eseguire la disinstallazione e fare clic su "Avanti".

  7. Fare clic su "Disinstalla".

    Il tool di migrazione verrà disinstallato.

  8. Fare clic su "Fine" per uscire dal programma di setup.


Installazione e disinstallazione del server di progetto TIA

Installazione e disinstallazione del server di progetto TIA

Questo capitolo contiene informazioni sugli argomenti seguenti:
  • Avvertenze sull’installazione del server di progetto
  • Installazione del server di progetto
  • Disinstallazione del server di progetti


Avvertenze sull’installazione del server di progetto

Introduzione Installazione del server multiutente con TIA Portal Installazione del server multiutente stand-alone Stesse versioni del TIA Portal durante l'installazione Percorso di installazione Installazione di un nuovo server multiutente Antivirus Piattaforme di virtualizzazione supportate
Installazione del server di progetto Disinstallazione del server di progetti
Avvertenze sull’installazione del server di progetto

Introduzione

L'installazione del server multiutente consente di utilizzare la funzionalità Multiuser Engineering.

Il server multiutente può essere installato come indicato nel seguito:

  • Insieme all'installazione di TIA Portal.

  • Come installazione stand-alone con un processo di installazione separato senza TIA Portal.

Nota

Per l’installazione del server sono necessari diritti di amministratore.

Installazione del server multiutente con TIA Portal

Il server multiutente viene installato insieme ai seguenti prodotti di TIA Portal:

  • SIMATIC STEP 7 Basic

  • SIMATIC STEP 7 Professional

  • SIMATIC WinCC Basic

  • SIMATIC WinCC Comfort/Advanced

  • SIMATIC WinCC Professional

Il server multiutente è attivato in parte per default nella selezione dei prodotti e viene installato con il prodotto. Verificare le impostazioni durante l'installazione di TIA Portal. Le preimpostazioni di volta in volta richieste per il server multiutente si trovano durante il setup con la selezione del prodotto nella cartella "Options". Selezionare qui, inserendo o disinserendo il segno di spunta, se installare o meno il server multiutente insieme all'installazione del TIA Portal.

Installazione del server multiutente stand-alone

Per il server multiutente è possibile anche eseguire un’installazione stand-alone.

Sul DVD del prodotto, nella directory "Documents\Readme\<Directory della lingua>", si trova anche una descrizione dell’installazione automatica.

Stesse versioni del TIA Portal durante l'installazione

Se si installano diversi prodotti di TIA Portal su diversi client, assicurarsi che tutti i nodi utilizzino per l'installazione le stesse versioni dei prodotti software.

Se ad es. sono stati installati STEP 7 Professional, WinCCAdvanced e Safety così come il server multiutente con versione Vx.y, anche per tutti gli altri nodi del Team Engineering deve essere installato questo software con le stesse versioni.

L'installazione dei Service Pack e degli aggiornamenti deve essere effettuata nello stesso momento per tutti i prodotti.

Percorso di installazione

Non utilizzare caratteri Unicode (ad es. caratteri cinesi) nel percorso di installazione.

Installazione di un nuovo server multiutente

Osservare che prima deve essere installato il nuovo server multiutente e successivamente disinstallata la versione precedente del server multiutente.

Questo procedimento consente di garantire che le autorizzazioni utenti presenti per il server possano essere acquisite anche per il nuovo server. Se prima della nuova installazione vengono cancellati completamente tutti i server multiutente esistenti, vengono perse anche le impostazioni utente che devono essere ricreate.

Antivirus

Durante l'installazione è necessario che l'accesso ai file già installati possa avvenire in lettura e in scrittura. Alcuni antivirus impediscono quest'operazione. Pertanto si consiglia di disattivare l'antivirus durante l'installazione del server multiutente e di riattivarlo successivamente.

Piattaforme di virtualizzazione supportate

Come TIA Portal, anche il server multiutente può essere installato anche in una macchina virtuale.

Utilizzare pertanto una delle seguenti piattaforme di virtualizzazione nella versione indicata o in una versione più recente:

  • VMware vSphere Hypervisor (ESXi) 6.5

  • VMware Workstation 12.5.7

  • VMware Player 12.5.7

  • Microsoft Hyper-V Server 2016

Per l'installazione di una piattaforma di visualizzazione valgono gli stessi requisiti di TIA Portal.


Installazione del server di progetto

Introduzione Regole per l'installazione Requisiti per l'installazione Installazione del server di progetti con TIA Portal Risultato Installazione del server di progetti stand alone Risultato
Avvertenze sull’installazione del server di progetto Disinstallazione del server di progetti
Installazione del server di progetto

Introduzione

Il server di progetti può essere installato nell'ambito dell'installazione di TIA Portal o anche come versione stand-alone. Se si installa il server di progetti insieme a TIA Portal, viene sempre installata la versione del server corrispondente alla versione di TIA Portal.

Sul DVD del prodotto, nella directory "Documents\Readme\<Directory della lingua>", si trova anche una descrizione dell’installazione automatica.

Nota

Reinstallazione prima della disinstallazione

Osservare che prima deve essere installato il nuovo server di progetti e successivamente disinstallata la versione precedente del server di progetti.

Questo procedimento consente di garantire che le autorizzazioni utenti presenti per il server possano essere acquisite anche per il nuovo server. Se prima della nuova installazione vengono cancellati completamente tutti i server di progetti esistenti, vengono perse anche le impostazioni utente che devono essere ricreate.

Regole per l'installazione

Su un computer possono essere installate più versioni del server di progetti che utilizzano diverse versioni del progetto del TIA Portal.

Versioni del progetto utilizzabili:

Versioni del server di progetti | Versioni di TIA Portal
Server V16 | V16, V15.1, V15 e V14
Server V15.1 | V15.1, V15 e V14
Server V15 | V15 e V14
Server V14 | V14

Tenere presente, tuttavia, che ogni versione di TIA Portal e del server di progetti dispone solo della funzionalità compresa nella rispettiva versione.

Multiuser Engineering non esegue un aggiornamento delle versioni del progetto.

Requisiti per l'installazione

Per l'installazione del server di progetti valgono gli stessi requisiti di TIA Portal.

Installazione del server di progetti con TIA Portal

Procedere all’installazione nel seguente modo:

  1. Verificare i requisiti per l’installazione del pacchetto software selezionato.

  2. Avviare il programma setup del prodotto desiderato inserendo il supporto con i dati dell'installazione nell'apposito drive.

  3. Selezionare le impostazioni desiderate e fare clic sul pulsante “Installa”

  4. Accertarsi che il server di progetti sia selezionato nella selezione dei prodotti e seguire le istruzioni nelle finestre del setup.

Risultato

Il server di progetti è stato installato sul PC insieme a TIA Portal.

Installazione del server di progetti stand alone

Procedere all’installazione nel seguente modo:

  1. Verificare i requisiti per l’installazione del server di progetti.

  2. Avviare il setup per l'installazione stand-alone del server di progetti facendo doppio clic sul file.exe autoestraente "TIA_Portal_Projekt_Server_V<x.y>.exe". Questo file è disponibile nella directory:"Support" sul DVD specifico del prodotto.

  3. Selezionare le impostazioni desiderate e fare clic sul pulsante “Installa”

  4. Seguire le istruzioni nelle finestre del setup.

Risultato

Il server dei progetti è stato installato nel computer.


Disinstallazione del server di progetti

Introduzione Requisiti per la disinstallazione Disinstallazione del server di progetti Risultato
Avvertenze sull’installazione del server di progetto Installazione del server di progetto
Disinstallazione del server di progetti

Introduzione

Il server di progetti può essere disinstallato nel Pannello di controllo.

Nota

Reinstallazione prima della disinstallazione

Osservare che prima deve essere installato il nuovo server di progetti e successivamente disinstallata la versione precedente del server di progetti.

Questo procedimento consente di garantire che le autorizzazioni utenti presenti per il server possano essere acquisite anche per il nuovo server. Se prima della nuova installazione vengono cancellati completamente tutti i server di progetti esistenti, vengono perse anche le impostazioni utente che devono essere ricreate.

Requisiti per la disinstallazione

Sul computer deve essere installato un server di progetti.

Disinstallazione del server di progetti

Per la disinstallazione procedere come indicato nel seguito:

  1. Aprire il Pannello di controllo.

  2. Fare doppio clic sulla voce "Installazione applicazioni" nel Pannello di controllo.

    Si apre la finestra di dialogo "Installazione applicazioni".

  3. Nella finestra di dialogo "Installazione applicazioni" selezionare la voce "Server di progetti", quindi fare clic sul pulsante "Rimuovi".

    Viene visualizzata un'interrogazione di sicurezza.

  4. Confermare l'interrogazione di sicurezza facendo clic sul pulsante "Disinstalla".

Risultato

Il server di progetti è stato installato sul computer.